diff -urN linux-2.6.0-test1/arch/i386/kernel/acpi/acpitable.c linux-2.6.0-test1-printk-i386/arch/i386/kernel/acpi/acpitable.c
--- linux-2.6.0-test1/arch/i386/kernel/acpi/acpitable.c	2003-07-13 23:32:44.000000000 -0400
+++ linux-2.6.0-test1-printk-i386/arch/i386/kernel/acpi/acpitable.c	2003-07-21 20:07:13.000000000 -0400
@@ -194,7 +194,7 @@
 	mapped_size = PAGE_SIZE - offset;
 	set_fixmap(FIX_IO_APIC_BASE_END, phys);
 	base = fix_to_virt(FIX_IO_APIC_BASE_END);
-	dprintk("__va_range(0x%lx, 0x%lx): idx=%d mapped at %lx\n", phys, size,
+	dprintk(KERN_INFO "__va_range(0x%lx, 0x%lx): idx=%d mapped at %lx\n", phys, size,
 		FIX_IO_APIC_BASE_END, base);
 
 	/*
@@ -331,7 +331,7 @@
 	printk(KERN_INFO "CPU %d (0x%02x00)", total_cpus, local_apic->id);
 
 	if (local_apic->flags.enabled) {
-		printk(" enabled");
+		printk(KERN_INFO " enabled");
 		ix = local_apic->id;
 		if (ix >= MAX_APICS) {
 			printk(KERN_WARNING
@@ -348,7 +348,7 @@
 		proc_entry.mpc_apicid = local_apic->id;
 		proc_entry.mpc_cpuflag = CPU_ENABLED;
 		if (proc_entry.mpc_apicid == boot_cpu_physical_apicid) {
-			printk(" (BSP)");
+			printk(KERN_INFO " (BSP)");
 			proc_entry.mpc_cpuflag |= CPU_BOOTPROCESSOR;
 		}
 		proc_entry.mpc_cpufeature =
@@ -361,9 +361,9 @@
 		proc_entry.mpc_apicver = 0x10;	/* integrated APIC */
 		MP_processor_info(&proc_entry);
 	} else {
-		printk(" disabled");
+		printk(KERN_INFO " disabled");
 	}
-	printk("\n");
+	printk(KERN_INFO "\n");
 
 	total_cpus++;
 	return;
@@ -515,7 +515,7 @@
 	}
 
 	if (!total_cpus) {
-		printk("ACPI: No Processors found in the APCI table.\n");
+		printk(KERN_WARNING "ACPI: No Processors found in the APCI table.\n");
 		return -EINVAL;
 	}
 
diff -urN linux-2.6.0-test1/arch/i386/kernel/apic.c linux-2.6.0-test1-printk-i386/arch/i386/kernel/apic.c
--- linux-2.6.0-test1/arch/i386/kernel/apic.c	2003-07-13 23:39:27.000000000 -0400
+++ linux-2.6.0-test1-printk-i386/arch/i386/kernel/apic.c	2003-07-23 10:07:23.000000000 -0400
@@ -155,7 +155,7 @@
 		 * PIC mode, enable APIC mode in the IMCR, i.e.
 		 * connect BSP's local APIC to INT and NMI lines.
 		 */
-		printk("leaving PIC mode, enabling APIC mode.\n");
+		printk(KERN_INFO "leaving PIC mode, enabling APIC mode.\n");
 		outb(0x70, 0x22);
 		outb(0x01, 0x23);
 	}
@@ -171,7 +171,7 @@
 		 * interrupts, including IPIs, won't work beyond
 		 * this point!  The only exception are INIT IPIs.
 		 */
-		printk("disabling APIC mode, entering PIC mode.\n");
+		printk(KERN_NOTICE "disabling APIC mode, entering PIC mode.\n");
 		outb(0x70, 0x22);
 		outb(0x00, 0x23);
 	}
@@ -408,10 +408,10 @@
 	value = apic_read(APIC_LVT0) & APIC_LVT_MASKED;
 	if (!smp_processor_id() && (pic_mode || !value)) {
 		value = APIC_DM_EXTINT;
-		printk("enabled ExtINT on CPU#%d\n", smp_processor_id());
+		printk(KERN_INFO "enabled ExtINT on CPU#%d\n", smp_processor_id());
 	} else {
 		value = APIC_DM_EXTINT | APIC_LVT_MASKED;
-		printk("masked ExtINT on CPU#%d\n", smp_processor_id());
+		printk(KERN_INFO "masked ExtINT on CPU#%d\n", smp_processor_id());
 	}
 	apic_write_around(APIC_LVT0, value);
 
@@ -431,7 +431,7 @@
 		if (maxlvt > 3)		/* Due to the Pentium erratum 3AP. */
 			apic_write(APIC_ESR, 0);
 		value = apic_read(APIC_ESR);
-		printk("ESR value before enabling vector: %08lx\n", value);
+		printk(KERN_INFO "ESR value before enabling vector: %08lx\n", value);
 
 		value = ERROR_APIC_VECTOR;      // enables sending errors
 		apic_write_around(APIC_LVTERR, value);
@@ -441,7 +441,7 @@
 		if (maxlvt > 3)
 			apic_write(APIC_ESR, 0);
 		value = apic_read(APIC_ESR);
-		printk("ESR value after enabling vector: %08lx\n", value);
+		printk(KERN_INFO "ESR value after enabling vector: %08lx\n", value);
 	} else {
 		if (esr_disable)	
 			/* 
@@ -450,9 +450,9 @@
 			 * ESR disabled - we can't do anything useful with the
 			 * errors anyway - mbligh
 			 */
-			printk("Leaving ESR disabled.\n");
+			printk(KERN_INFO "Leaving ESR disabled.\n");
 		else 
-			printk("No ESR for 82489DX.\n");
+			printk(KERN_INFO "No ESR for 82489DX.\n");
 	}
 
 	if (nmi_watchdog == NMI_LOCAL_APIC)
@@ -632,7 +632,7 @@
 		 */
 		rdmsr(MSR_IA32_APICBASE, l, h);
 		if (!(l & MSR_IA32_APICBASE_ENABLE)) {
-			printk("Local APIC disabled by BIOS -- reenabling.\n");
+			printk(KERN_INFO "Local APIC disabled by BIOS -- reenabling.\n");
 			l &= ~MSR_IA32_APICBASE_BASE;
 			l |= MSR_IA32_APICBASE_ENABLE | APIC_DEFAULT_PHYS_BASE;
 			wrmsr(MSR_IA32_APICBASE, l, h);
@@ -644,7 +644,7 @@
 	 */
 	features = cpuid_edx(1);
 	if (!(features & (1 << X86_FEATURE_APIC))) {
-		printk("Could not enable APIC!\n");
+		printk(KERN_INFO "Could not enable APIC!\n");
 		return -1;
 	}
 	set_bit(X86_FEATURE_APIC, boot_cpu_data.x86_capability);
@@ -652,14 +652,14 @@
 	if (nmi_watchdog != NMI_NONE)
 		nmi_watchdog = NMI_LOCAL_APIC;
 
-	printk("Found and enabled local APIC!\n");
+	printk(KERN_INFO "Found and enabled local APIC!\n");
 
 	apic_pm_activate();
 
 	return 0;
 
 no_apic:
-	printk("No local APIC present or hardware disabled\n");
+	printk(KERN_INFO "No local APIC present or hardware disabled\n");
 	return -1;
 }
 
@@ -839,7 +839,7 @@
 	int i;
 	const int LOOPS = HZ/10;
 
-	printk("calibrating APIC timer ...\n");
+	printk(KERN_INFO "calibrating APIC timer ...\n");
 
 	/*
 	 * Put whatever arbitrary (but long enough) timeout
@@ -884,11 +884,11 @@
 	result = (tt1-tt2)*APIC_DIVISOR/LOOPS;
 
 	if (cpu_has_tsc)
-		printk("..... CPU clock speed is %ld.%04ld MHz.\n",
+		printk(KERN_INFO "..... CPU clock speed is %ld.%04ld MHz.\n",
 			((long)(t2-t1)/LOOPS)/(1000000/HZ),
 			((long)(t2-t1)/LOOPS)%(1000000/HZ));
 
-	printk("..... host bus clock speed is %ld.%04ld MHz.\n",
+	printk(KERN_INFO "..... host bus clock speed is %ld.%04ld MHz.\n",
 		result/(1000000/HZ),
 		result%(1000000/HZ));
 
@@ -905,7 +905,7 @@
 	if (dont_use_local_apic_timer)
 		return;
 
-	printk("Using local APIC timer interrupts.\n");
+	printk(KERN_INFO "Using local APIC timer interrupts.\n");
 	using_apic_timer = 1;
 
 	local_irq_disable();
diff -urN linux-2.6.0-test1/arch/i386/kernel/apm.c linux-2.6.0-test1-printk-i386/arch/i386/kernel/apm.c
--- linux-2.6.0-test1/arch/i386/kernel/apm.c	2003-07-13 23:29:30.000000000 -0400
+++ linux-2.6.0-test1-printk-i386/arch/i386/kernel/apm.c	2003-07-21 21:03:20.000000000 -0400
@@ -1776,17 +1776,17 @@
 			       "apm: AC %s, battery status %s, battery life ",
 			       power_stat, bat_stat);
 			if ((cx & 0xff) == 0xff)
-				printk("unknown\n");
+				printk(KERN_INFO "unknown\n");
 			else
-				printk("%d%%\n", cx & 0xff);
+				printk(KERN_INFO "%d%%\n", cx & 0xff);
 			if (apm_info.connection_version > 0x100) {
 				printk(KERN_INFO
 				       "apm: battery flag 0x%02x, battery life ",
 				       (cx >> 8) & 0xff);
 				if (dx == 0xffff)
-					printk("unknown\n");
+					printk(KERN_INFO "unknown\n");
 				else
-					printk("%d %s\n", dx & 0x7fff,
+					printk(KERN_INFO "%d %s\n", dx & 0x7fff,
 						(dx & 0x8000) ?
 						"minutes" : "seconds");
 			}
@@ -1934,12 +1934,12 @@
 			apm_info.bios.cseg, apm_info.bios.offset,
 			apm_info.bios.cseg_16, apm_info.bios.dseg);
 		if (apm_info.bios.version > 0x100)
-			printk(" cseg len %x, dseg len %x",
+			printk(KERN_INFO " cseg len %x, dseg len %x",
 				apm_info.bios.cseg_len,
 				apm_info.bios.dseg_len);
 		if (apm_info.bios.version > 0x101)
-			printk(" cseg16 len %x", apm_info.bios.cseg_16_len);
-		printk("\n");
+			printk(KERN_INFO " cseg16 len %x", apm_info.bios.cseg_16_len);
+		printk(KERN_INFO "\n");
 	}
 
 	if (apm_info.disabled) {
diff -urN linux-2.6.0-test1/arch/i386/kernel/cpu/amd.c linux-2.6.0-test1-printk-i386/arch/i386/kernel/cpu/amd.c
--- linux-2.6.0-test1/arch/i386/kernel/cpu/amd.c	2003-07-13 23:38:42.000000000 -0400
+++ linux-2.6.0-test1-printk-i386/arch/i386/kernel/cpu/amd.c	2003-07-21 19:47:53.000000000 -0400
@@ -93,9 +93,9 @@
 				printk(KERN_INFO "AMD K6 stepping B detected - ");
 				/* -- cut here -- */
 				if (d > 20*K6_BUG_LOOP) 
-					printk("system stability may be impaired when more than 32 MB are used.\n");
+					printk(KERN_INFO "system stability may be impaired when more than 32 MB are used.\n");
 				else 
-					printk("probably OK (after B9730xxxx).\n");
+					printk(KERN_INFO "probably OK (after B9730xxxx).\n");
 				printk(KERN_INFO "Please see http://membres.lycos.fr/poulot/k6bug.html\n");
 			}
 
@@ -170,7 +170,7 @@
 			if ((c->x86_model == 8 && c->x86_mask>=1) || (c->x86_model > 8)) {
 				rdmsr(MSR_K7_CLK_CTL, l, h);
 				if ((l & 0xfff00000) != 0x20000000) {
-					printk ("CPU: CLK_CTL MSR was %x. Reprogramming to %x\n", l,
+					printk (KERN_INFO "CPU: CLK_CTL MSR was %x. Reprogramming to %x\n", l,
 						((l & 0x000fffff)|0x20000000));
 					wrmsr(MSR_K7_CLK_CTL, (l & 0x000fffff)|0x20000000, h);
 				}
diff -urN linux-2.6.0-test1/arch/i386/kernel/cpu/common.c linux-2.6.0-test1-printk-i386/arch/i386/kernel/cpu/common.c
--- linux-2.6.0-test1/arch/i386/kernel/cpu/common.c	2003-07-13 23:29:29.000000000 -0400
+++ linux-2.6.0-test1-printk-i386/arch/i386/kernel/cpu/common.c	2003-07-21 19:45:55.000000000 -0400
@@ -386,17 +386,17 @@
 		vendor = c->x86_vendor_id;
 
 	if (vendor && strncmp(c->x86_model_id, vendor, strlen(vendor)))
-		printk("%s ", vendor);
+		printk(KERN_INFO "%s ", vendor);
 
 	if (!c->x86_model_id[0])
-		printk("%d86", c->x86);
+		printk(KERN_INFO "%d86", c->x86);
 	else
-		printk("%s", c->x86_model_id);
+		printk(KERN_INFO "%s", c->x86_model_id);
 
 	if (c->x86_mask || c->cpuid_level >= 0) 
-		printk(" stepping %02x\n", c->x86_mask);
+		printk(KERN_INFO " stepping %02x\n", c->x86_mask);
 	else
-		printk("\n");
+		printk(KERN_INFO "\n");
 }
 
 unsigned long cpu_initialized __initdata = 0;
diff -urN linux-2.6.0-test1/arch/i386/kernel/cpu/cpufreq/powernow-k6.c linux-2.6.0-test1-printk-i386/arch/i386/kernel/cpu/cpufreq/powernow-k6.c
--- linux-2.6.0-test1/arch/i386/kernel/cpu/cpufreq/powernow-k6.c	2003-07-13 23:30:43.000000000 -0400
+++ linux-2.6.0-test1-printk-i386/arch/i386/kernel/cpu/cpufreq/powernow-k6.c	2003-07-21 19:42:13.000000000 -0400
@@ -205,7 +205,7 @@
 		return -ENODEV;
 
 	if (!request_region(POWERNOW_IOPORT, 16, "PowerNow!")) {
-		printk("cpufreq: PowerNow IOPORT region already used.\n");
+		printk(KERN_ERR "cpufreq: PowerNow IOPORT region already used.\n");
 		return -EIO;
 	}
 
diff -urN linux-2.6.0-test1/arch/i386/kernel/cpu/intel.c linux-2.6.0-test1-printk-i386/arch/i386/kernel/cpu/intel.c
--- linux-2.6.0-test1/arch/i386/kernel/cpu/intel.c	2003-07-13 23:32:32.000000000 -0400
+++ linux-2.6.0-test1-printk-i386/arch/i386/kernel/cpu/intel.c	2003-07-21 19:46:40.000000000 -0400
@@ -230,7 +230,7 @@
 		else if ( l1i )
 			printk (KERN_INFO "CPU: L1 I cache: %dK", l1i);
 		if ( l1d )
-			printk(", L1 D cache: %dK\n", l1d);
+			printk(KERN_INFO ", L1 D cache: %dK\n", l1d);
 		if ( l2 )
 			printk(KERN_INFO "CPU: L2 cache: %dK\n", l2);
 		if ( l3 )
diff -urN linux-2.6.0-test1/arch/i386/kernel/cpu/mtrr/cyrix.c linux-2.6.0-test1-printk-i386/arch/i386/kernel/cpu/mtrr/cyrix.c
--- linux-2.6.0-test1/arch/i386/kernel/cpu/mtrr/cyrix.c	2003-07-13 23:34:40.000000000 -0400
+++ linux-2.6.0-test1-printk-i386/arch/i386/kernel/cpu/mtrr/cyrix.c	2003-07-21 19:45:14.000000000 -0400
@@ -330,16 +330,16 @@
 	set_mtrr_done(&ctxt);	/* flush cache and disable MAPEN */
 
 	if (ccrc[5])
-		printk("mtrr: ARR usage was not enabled, enabled manually\n");
+		printk(KERN_INFO "mtrr: ARR usage was not enabled, enabled manually\n");
 	if (ccrc[3])
-		printk("mtrr: ARR3 cannot be changed\n");
+		printk(KERN_INFO "mtrr: ARR3 cannot be changed\n");
 /*
-    if ( ccrc[1] & 0x80) printk ("mtrr: SMM memory access through ARR3 disabled\n");
-    if ( ccrc[1] & 0x04) printk ("mtrr: SMM memory access disabled\n");
-    if ( ccrc[1] & 0x02) printk ("mtrr: SMM mode disabled\n");
+    if ( ccrc[1] & 0x80) printk (KERN_INFO "mtrr: SMM memory access through ARR3 disabled\n");
+    if ( ccrc[1] & 0x04) printk (KERN_INFO "mtrr: SMM memory access disabled\n");
+    if ( ccrc[1] & 0x02) printk (KERN_INFO "mtrr: SMM mode disabled\n");
 */
 	if (ccrc[6])
-		printk("mtrr: ARR3 was write protected, unprotected\n");
+		printk(KERN_INFO "mtrr: ARR3 was write protected, unprotected\n");
 }
 
 static struct mtrr_ops cyrix_mtrr_ops = {
diff -urN linux-2.6.0-test1/arch/i386/kernel/cpu/mtrr/main.c linux-2.6.0-test1-printk-i386/arch/i386/kernel/cpu/mtrr/main.c
--- linux-2.6.0-test1/arch/i386/kernel/cpu/mtrr/main.c	2003-07-13 23:29:30.000000000 -0400
+++ linux-2.6.0-test1-printk-i386/arch/i386/kernel/cpu/mtrr/main.c	2003-07-21 19:44:30.000000000 -0400
@@ -121,7 +121,7 @@
 	max = num_var_ranges;
 	if ((usage_table = kmalloc(max * sizeof *usage_table, GFP_KERNEL))
 	    == NULL) {
-		printk("mtrr: could not allocate\n");
+		printk(KERN_WARNING "mtrr: could not allocate\n");
 		return;
 	}
 	for (i = 0; i < max; i++)
@@ -310,7 +310,7 @@
 		return error;
 
 	if (type >= MTRR_NUM_TYPES) {
-		printk("mtrr: type: %u illegal\n", type);
+		printk(KERN_WARNING "mtrr: type: %u illegal\n", type);
 		return -EINVAL;
 	}
 
@@ -322,7 +322,7 @@
 	}
 
 	if (base & size_or_mask || size & size_or_mask) {
-		printk("mtrr: base or size exceeds the MTRR width\n");
+		printk(KERN_WARNING "mtrr: base or size exceeds the MTRR width\n");
 		return -EINVAL;
 	}
 
@@ -348,7 +348,7 @@
 		if (ltype != type) {
 			if (type == MTRR_TYPE_UNCACHABLE)
 				continue;
-			printk ("mtrr: type mismatch for %lx000,%lx000 old: %s new: %s\n",
+			printk (KERN_ERR "mtrr: type mismatch for %lx000,%lx000 old: %s new: %s\n",
 			     base, size, attrib_to_str(ltype),
 			     attrib_to_str(type));
 			goto out;
@@ -364,7 +364,7 @@
 		set_mtrr(i, base, size, type);
 		usage_table[i] = 1;
 	} else
-		printk("mtrr: no more MTRRs available\n");
+		printk(KERN_ERR "mtrr: no more MTRRs available\n");
 	error = i;
  out:
 	up(&main_lock);
@@ -412,8 +412,8 @@
 	 char increment)
 {
 	if ((base & (PAGE_SIZE - 1)) || (size & (PAGE_SIZE - 1))) {
-		printk("mtrr: size and base must be multiples of 4 kiB\n");
-		printk("mtrr: size: 0x%lx  base: 0x%lx\n", size, base);
+		printk(KERN_WARNING "mtrr: size and base must be multiples of 4 kiB\n");
+		printk(KERN_WARNING "mtrr: size: 0x%lx  base: 0x%lx\n", size, base);
 		return -EINVAL;
 	}
 	return mtrr_add_page(base >> PAGE_SHIFT, size >> PAGE_SHIFT, type,
@@ -458,28 +458,28 @@
 			}
 		}
 		if (reg < 0) {
-			printk("mtrr: no MTRR for %lx000,%lx000 found\n", base,
+			printk(KERN_ERR "mtrr: no MTRR for %lx000,%lx000 found\n", base,
 			       size);
 			goto out;
 		}
 	}
 	if (reg >= max) {
-		printk("mtrr: register: %d too big\n", reg);
+		printk(KERN_ERR "mtrr: register: %d too big\n", reg);
 		goto out;
 	}
 	if (is_cpu(CYRIX) && !use_intel()) {
 		if ((reg == 3) && arr3_protected) {
-			printk("mtrr: ARR3 cannot be changed\n");
+			printk(KERN_ERR "mtrr: ARR3 cannot be changed\n");
 			goto out;
 		}
 	}
 	mtrr_if->get(reg, &lbase, &lsize, &ltype);
 	if (lsize < 1) {
-		printk("mtrr: MTRR %d not used\n", reg);
+		printk(KERN_ERR "mtrr: MTRR %d not used\n", reg);
 		goto out;
 	}
 	if (usage_table[reg] < 1) {
-		printk("mtrr: reg: %d has count=0\n", reg);
+		printk(KERN_ERR "mtrr: reg: %d has count=0\n", reg);
 		goto out;
 	}
 	if (--usage_table[reg] < 1)
@@ -508,8 +508,8 @@
 mtrr_del(int reg, unsigned long base, unsigned long size)
 {
 	if ((base & (PAGE_SIZE - 1)) || (size & (PAGE_SIZE - 1))) {
-		printk("mtrr: size and base must be multiples of 4 kiB\n");
-		printk("mtrr: size: 0x%lx  base: 0x%lx\n", size, base);
+		printk(KERN_WARNING "mtrr: size and base must be multiples of 4 kiB\n");
+		printk(KERN_WARNING "mtrr: size: 0x%lx  base: 0x%lx\n", size, base);
 		return -EINVAL;
 	}
 	return mtrr_del_page(reg, base >> PAGE_SHIFT, size >> PAGE_SHIFT);
@@ -677,7 +677,7 @@
 			break;
 		}
 	}
-	printk("mtrr: v%s\n",MTRR_VERSION);
+	printk(KERN_INFO "mtrr: v%s\n",MTRR_VERSION);
 
 	if (mtrr_if) {
 		set_num_var_ranges();
diff -urN linux-2.6.0-test1/arch/i386/kernel/cpu/rise.c linux-2.6.0-test1-printk-i386/arch/i386/kernel/cpu/rise.c
--- linux-2.6.0-test1/arch/i386/kernel/cpu/rise.c	2003-07-13 23:31:22.000000000 -0400
+++ linux-2.6.0-test1-printk-i386/arch/i386/kernel/cpu/rise.c	2003-07-21 19:46:15.000000000 -0400
@@ -7,10 +7,10 @@
 
 static void __init init_rise(struct cpuinfo_x86 *c)
 {
-	printk("CPU: Rise iDragon");
+	printk(KERN_INFO "CPU: Rise iDragon");
 	if (c->x86_model > 2)
-		printk(" II");
-	printk("\n");
+		printk(KERN_INFO " II");
+	printk(KERN_INFO "\n");
 
 	/* Unhide possibly hidden capability flags
 	   The mp6 iDragon family don't have MSRs.
diff -urN linux-2.6.0-test1/arch/i386/kernel/dmi_scan.c linux-2.6.0-test1-printk-i386/arch/i386/kernel/dmi_scan.c
--- linux-2.6.0-test1/arch/i386/kernel/dmi_scan.c	2003-07-13 23:32:44.000000000 -0400
+++ linux-2.6.0-test1-printk-i386/arch/i386/kernel/dmi_scan.c	2003-07-23 09:21:26.000000000 -0400
@@ -492,7 +492,7 @@
  
 static __init int print_if_true(struct dmi_blacklist *d)
 {
-	printk("%s\n", d->ident);
+	printk(KERN_INFO "%s\n", d->ident);
 	return 0;
 }
 
diff -urN linux-2.6.0-test1/arch/i386/kernel/doublefault.c linux-2.6.0-test1-printk-i386/arch/i386/kernel/doublefault.c
--- linux-2.6.0-test1/arch/i386/kernel/doublefault.c	2003-07-13 23:30:43.000000000 -0400
+++ linux-2.6.0-test1-printk-i386/arch/i386/kernel/doublefault.c	2003-07-21 21:37:54.000000000 -0400
@@ -22,23 +22,23 @@
 	__asm__ __volatile__("sgdt %0": "=m" (gdt_desc): :"memory");
 	gdt = gdt_desc.address;
 
-	printk("double fault, gdt at %08lx [%d bytes]\n", gdt, gdt_desc.size);
+	printk(KERN_EMERG "double fault, gdt at %08lx [%d bytes]\n", gdt, gdt_desc.size);
 
 	if (ptr_ok(gdt)) {
 		gdt += GDT_ENTRY_TSS << 3;
 		tss = *(u16 *)(gdt+2);
 		tss += *(u8 *)(gdt+4) << 16;
 		tss += *(u8 *)(gdt+7) << 24;
-		printk("double fault, tss at %08lx\n", tss);
+		printk(KERN_EMERG "double fault, tss at %08lx\n", tss);
 
 		if (ptr_ok(tss)) {
 			struct tss_struct *t = (struct tss_struct *)tss;
 
-			printk("eip = %08lx, esp = %08lx\n", t->eip, t->esp);
+			printk(KERN_EMERG "eip = %08lx, esp = %08lx\n", t->eip, t->esp);
 
-			printk("eax = %08lx, ebx = %08lx, ecx = %08lx, edx = %08lx\n",
+			printk(KERN_EMERG "eax = %08lx, ebx = %08lx, ecx = %08lx, edx = %08lx\n",
 				t->eax, t->ebx, t->ecx, t->edx);
-			printk("esi = %08lx, edi = %08lx\n",
+			printk(KERN_EMERG "esi = %08lx, edi = %08lx\n",
 				t->esi, t->edi);
 		}
 	}
diff -urN linux-2.6.0-test1/arch/i386/kernel/i8259.c linux-2.6.0-test1-printk-i386/arch/i386/kernel/i8259.c
--- linux-2.6.0-test1/arch/i386/kernel/i8259.c	2003-07-13 23:38:03.000000000 -0400
+++ linux-2.6.0-test1-printk-i386/arch/i386/kernel/i8259.c	2003-07-23 10:03:50.000000000 -0400
@@ -225,7 +225,7 @@
 		 * lets ACK and report it. [once per IRQ]
 		 */
 		if (!(spurious_irq_mask & irqmask)) {
-			printk("spurious 8259A interrupt: IRQ%d.\n", irq);
+			printk(KERN_NOTICE "spurious 8259A interrupt: IRQ%d.\n", irq);
 			spurious_irq_mask |= irqmask;
 		}
 		atomic_inc(&irq_err_count);
diff -urN linux-2.6.0-test1/arch/i386/kernel/io_apic.c linux-2.6.0-test1-printk-i386/arch/i386/kernel/io_apic.c
--- linux-2.6.0-test1/arch/i386/kernel/io_apic.c	2003-07-13 23:32:40.000000000 -0400
+++ linux-2.6.0-test1-printk-i386/arch/i386/kernel/io_apic.c	2003-07-23 09:20:17.000000000 -0400
@@ -1172,7 +1172,7 @@
 				printk(KERN_DEBUG " IO-APIC (apicid-pin) %d-%d", mp_ioapics[apic].mpc_apicid, pin);
 				first_notcon = 0;
 			} else
-				printk(", %d-%d", mp_ioapics[apic].mpc_apicid, pin);
+				printk(KERN_DEBUG ", %d-%d", mp_ioapics[apic].mpc_apicid, pin);
 			continue;
 		}
 
@@ -1219,7 +1219,7 @@
 	}
 
 	if (!first_notcon)
-		printk(" not connected.\n");
+		printk(KERN_INFO " not connected.\n");
 }
 
 /*
@@ -1379,7 +1379,7 @@
 			entry.dest.physical.physical_dest
 		);
 
-		printk("%1d    %1d    %1d   %1d   %1d    %1d    %1d    %02X\n",
+		printk(KERN_DEBUG "%1d    %1d    %1d   %1d   %1d    %1d    %1d    %02X\n",
 			entry.mask,
 			entry.trigger,
 			entry.irr,
@@ -1398,12 +1398,12 @@
 			continue;
 		printk(KERN_DEBUG "IRQ%d ", i);
 		for (;;) {
-			printk("-> %d:%d", entry->apic, entry->pin);
+			printk(KERN_DEBUG "-> %d:%d", entry->apic, entry->pin);
 			if (!entry->next)
 				break;
 			entry = irq_2_pin + entry->next;
 		}
-		printk("\n");
+		printk(KERN_DEBUG "\n");
 	}
 
 	printk(KERN_INFO ".................................... done.\n");
@@ -1425,7 +1425,7 @@
 			else
 				printk("0");
 		}
-		printk("\n");
+		printk(KERN_DEBUG "\n");
 	}
 }
 
@@ -1506,7 +1506,7 @@
 	printk(KERN_DEBUG "... APIC TMCCT: %08x\n", v);
 	v = apic_read(APIC_TDCR);
 	printk(KERN_DEBUG "... APIC TDCR: %08x\n", v);
-	printk("\n");
+	printk(KERN_DEBUG "\n");
 }
 
 void print_all_local_APICs (void)
@@ -1649,7 +1649,7 @@
 			phys_id_present_map |= 1 << i;
 			mp_ioapics[apic].mpc_apicid = i;
 		} else {
-			printk("Setting %d in the phys_id_present_map\n", mp_ioapics[apic].mpc_apicid);
+			printk(KERN_INFO "Setting %d in the phys_id_present_map\n", mp_ioapics[apic].mpc_apicid);
 			phys_id_present_map |= apicid_to_cpu_present(mp_ioapics[apic].mpc_apicid);
 		}
 
@@ -1685,7 +1685,7 @@
 		if (reg_00.bits.ID != mp_ioapics[apic].mpc_apicid)
 			panic("could not set ID!\n");
 		else
-			printk(" ok.\n");
+			printk(KERN_INFO " ok.\n");
 	}
 }
 #else
@@ -1980,7 +1980,7 @@
 
 	on_each_cpu(enable_NMI_through_LVT0, NULL, 1, 1);
 
-	printk(" done.\n");
+	printk(KERN_INFO " done.\n");
 }
 
 /*
@@ -2100,13 +2100,13 @@
 
 	printk(KERN_INFO "...trying to set up timer (IRQ0) through the 8259A ... ");
 	if (pin2 != -1) {
-		printk("\n..... (found pin %d) ...", pin2);
+		printk(KERN_INFO "\n..... (found pin %d) ...", pin2);
 		/*
 		 * legacy devices should be connected to IO APIC #0
 		 */
 		setup_ExtINT_IRQ0_pin(pin2, vector);
 		if (timer_irq_works()) {
-			printk("works.\n");
+			printk(KERN_INFO "works.\n");
 			if (pin1 != -1)
 				replace_pin_at_irq(0, 0, pin1, 0, pin2);
 			else
@@ -2122,7 +2122,7 @@
 		 */
 		clear_IO_APIC_pin(0, pin2);
 	}
-	printk(" failed.\n");
+	printk(KERN_INFO " failed.\n");
 
 	if (nmi_watchdog == NMI_IO_APIC) {
 		printk(KERN_WARNING "timer doesn't work through the IO-APIC - disabling NMI Watchdog!\n");
@@ -2137,11 +2137,11 @@
 	enable_8259A_irq(0);
 
 	if (timer_irq_works()) {
-		printk(" works.\n");
+		printk(KERN_INFO " works.\n");
 		return;
 	}
 	apic_write_around(APIC_LVT0, APIC_LVT_MASKED | APIC_DM_FIXED | vector);
-	printk(" failed.\n");
+	printk(KERN_INFO " failed.\n");
 
 	printk(KERN_INFO "...trying to set up timer as ExtINT IRQ...");
 
@@ -2153,10 +2153,10 @@
 	unlock_ExtINT_logic();
 
 	if (timer_irq_works()) {
-		printk(" works.\n");
+		printk(KERN_INFO " works.\n");
 		return;
 	}
-	printk(" failed :(.\n");
+	printk(KERN_INFO " failed :(.\n");
 	panic("IO-APIC + timer doesn't work! pester mingo@redhat.com");
 }
 
@@ -2182,7 +2182,7 @@
 	enable_IO_APIC();
 
 	io_apic_irqs = ~PIC_IRQS;
-	printk("ENABLING IO-APIC IRQs\n");
+	printk(KERN_INFO "ENABLING IO-APIC IRQs\n");
 
 	/*
 	 * Set up IO-APIC IRQ routing.
diff -urN linux-2.6.0-test1/arch/i386/kernel/irq.c linux-2.6.0-test1-printk-i386/arch/i386/kernel/irq.c
--- linux-2.6.0-test1/arch/i386/kernel/irq.c	2003-07-13 23:30:01.000000000 -0400
+++ linux-2.6.0-test1-printk-i386/arch/i386/kernel/irq.c	2003-07-21 21:04:41.000000000 -0400
@@ -97,7 +97,7 @@
  * a generic callback i think.
  */
 #ifdef CONFIG_X86
-	printk("unexpected IRQ trap at vector %02x\n", irq);
+	printk(KERN_WARNING "unexpected IRQ trap at vector %02x\n", irq);
 #ifdef CONFIG_X86_LOCAL_APIC
 	/*
 	 * Currently unexpected vectors happen only on SMP and APIC.
@@ -245,7 +245,7 @@
 		printk(KERN_ERR "[<%p>]", action->handler);
 		print_symbol(" (%s)",
 			(unsigned long)action->handler);
-		printk("\n");
+		printk(KERN_ERR "\n");
 		action = action->next;
 	} while (action);
 }
@@ -265,7 +265,7 @@
 static int __init noirqdebug_setup(char *str)
 {
 	noirqdebug = 1;
-	printk("IRQ lockup detection disabled\n");
+	printk(KERN_INFO "IRQ lockup detection disabled\n");
 	return 1;
 }
 
@@ -392,7 +392,7 @@
 		desc->depth--;
 		break;
 	case 0:
-		printk("enable_irq(%u) unbalanced from %p\n", irq,
+		printk(KERN_WARNING "enable_irq(%u) unbalanced from %p\n", irq,
 		       __builtin_return_address(0));
 	}
 	spin_unlock_irqrestore(&desc->lock, flags);
@@ -430,7 +430,7 @@
 		__asm__ __volatile__("andl %%esp,%0" :
 					"=r" (esp) : "0" (8191));
 		if (unlikely(esp < (sizeof(struct thread_info) + 1024))) {
-			printk("do_IRQ: stack overflow: %ld\n",
+			printk(KERN_CRIT "do_IRQ: stack overflow: %ld\n",
 				esp - sizeof(struct thread_info));
 			dump_stack();
 		}
@@ -554,7 +554,7 @@
 	 */
 	if (irqflags & SA_SHIRQ) {
 		if (!dev_id)
-			printk("Bad boy: %s (at 0x%x) called us without a dev_id!\n", devname, (&irq)[-1]);
+			printk(KERN_ERR "Bad boy: %s (at 0x%x) called us without a dev_id!\n", devname, (&irq)[-1]);
 	}
 #endif
 
@@ -629,7 +629,7 @@
 			kfree(action);
 			return;
 		}
-		printk("Trying to free free IRQ%d\n",irq);
+		printk(KERN_NOTICE "Trying to free free IRQ%d\n",irq);
 		spin_unlock_irqrestore(&desc->lock,flags);
 		return;
 	}
diff -urN linux-2.6.0-test1/arch/i386/kernel/mpparse.c linux-2.6.0-test1-printk-i386/arch/i386/kernel/mpparse.c
--- linux-2.6.0-test1/arch/i386/kernel/mpparse.c	2003-07-13 23:32:34.000000000 -0400
+++ linux-2.6.0-test1-printk-i386/arch/i386/kernel/mpparse.c	2003-07-23 09:09:39.000000000 -0400
@@ -370,11 +370,11 @@
 
 	memcpy(str,mpc->mpc_productid,12);
 	str[12]=0;
-	printk("Product ID: %s ",str);
+	printk(KERN_INFO "Product ID: %s ",str);
 
 	mps_oem_check(mpc, oem, str);
 
-	printk("APIC at: 0x%lX\n",mpc->mpc_lapic);
+	printk(KERN_INFO "APIC at: 0x%lX\n",mpc->mpc_lapic);
 
 	/* 
 	 * Save the local APIC address (it might be non-default) -- but only
@@ -561,7 +561,7 @@
 	bus.mpc_busid = 0;
 	switch (mpc_default_type) {
 		default:
-			printk("???\n");
+			printk(KERN_ERR "???\n");
 			printk(KERN_ERR "Unknown standard configuration %d\n",
 				mpc_default_type);
 			/* fall through */
@@ -694,7 +694,7 @@
 
 	Dprintk("Scan SMP from %p for %ld bytes.\n", bp,length);
 	if (sizeof(*mpf) != 16)
-		printk("Error: MPF size\n");
+		printk(KERN_ERR "Error: MPF size\n");
 
 	while (length > 0) {
 		mpf = (struct intel_mp_floating *)bp;
@@ -891,7 +891,7 @@
 	mp_ioapic_routing[idx].irq_end = irq_base + 
 		io_apic_get_redir_entries(idx);
 
-	printk("IOAPIC[%d]: apic_id %d, version %d, address 0x%lx, "
+	printk(KERN_INFO "IOAPIC[%d]: apic_id %d, version %d, address 0x%lx, "
 		"IRQ %d-%d\n", idx, mp_ioapics[idx].mpc_apicid, 
 		mp_ioapics[idx].mpc_apicver, mp_ioapics[idx].mpc_apicaddr,
 		mp_ioapic_routing[idx].irq_start,
diff -urN linux-2.6.0-test1/arch/i386/kernel/nmi.c linux-2.6.0-test1-printk-i386/arch/i386/kernel/nmi.c
--- linux-2.6.0-test1/arch/i386/kernel/nmi.c	2003-07-13 23:34:40.000000000 -0400
+++ linux-2.6.0-test1-printk-i386/arch/i386/kernel/nmi.c	2003-07-23 09:56:00.000000000 -0400
@@ -100,12 +100,12 @@
 		if (!cpu_online(cpu))
 			continue;
 		if (nmi_count(cpu) - prev_nmi_count[cpu] <= 5) {
-			printk("CPU#%d: NMI appears to be stuck!\n", cpu);
+			printk(KERN_ERR "CPU#%d: NMI appears to be stuck!\n", cpu);
 			nmi_active = 0;
 			return -1;
 		}
 	}
-	printk("OK.\n");
+	printk(KERN_INFO "OK.\n");
 
 	/* now that we know it works we can reduce NMI frequency to
 	   something more reasonable; makes a difference in some configs */
@@ -422,9 +422,9 @@
 			 * to get a message out.
 			 */
 			bust_spinlocks(1);
-			printk("NMI Watchdog detected LOCKUP on CPU%d, eip %08lx, registers:\n", cpu, regs->eip);
+			printk(KERN_WARNING "NMI Watchdog detected LOCKUP on CPU%d, eip %08lx, registers:\n", cpu, regs->eip);
 			show_registers(regs);
-			printk("console shuts up ...\n");
+			printk(KERN_NOTICE "console shuts up ...\n");
 			console_silent();
 			spin_unlock(&nmi_print_lock);
 			bust_spinlocks(0);
diff -urN linux-2.6.0-test1/arch/i386/kernel/process.c linux-2.6.0-test1-printk-i386/arch/i386/kernel/process.c
--- linux-2.6.0-test1/arch/i386/kernel/process.c	2003-07-13 23:28:51.000000000 -0400
+++ linux-2.6.0-test1-printk-i386/arch/i386/kernel/process.c	2003-07-21 19:41:29.000000000 -0400
@@ -151,7 +151,7 @@
 static int __init idle_setup (char *str)
 {
 	if (!strncmp(str, "poll", 4)) {
-		printk("using polling idle threads.\n");
+		printk(KERN_NOTICE "using polling idle threads.\n");
 		pm_idle = poll_idle;
 	}
 
@@ -164,19 +164,19 @@
 {
 	unsigned long cr0 = 0L, cr2 = 0L, cr3 = 0L, cr4 = 0L;
 
-	printk("\n");
-	printk("Pid: %d, comm: %20s\n", current->pid, current->comm);
-	printk("EIP: %04x:[<%08lx>] CPU: %d\n",0xffff & regs->xcs,regs->eip, smp_processor_id());
+	printk(KERN_EMERG "\n");
+	printk(KERN_EMERG "Pid: %d, comm: %20s\n", current->pid, current->comm);
+	printk(KERN_EMERG "EIP: %04x:[<%08lx>] CPU: %d\n",0xffff & regs->xcs,regs->eip, smp_processor_id());
 	print_symbol("EIP is at %s\n", regs->eip);
 
 	if (regs->xcs & 3)
-		printk(" ESP: %04x:%08lx",0xffff & regs->xss,regs->esp);
-	printk(" EFLAGS: %08lx    %s\n",regs->eflags, print_tainted());
-	printk("EAX: %08lx EBX: %08lx ECX: %08lx EDX: %08lx\n",
+		printk(KERN_EMERG " ESP: %04x:%08lx",0xffff & regs->xss,regs->esp);
+	printk(KERN_EMERG " EFLAGS: %08lx    %s\n",regs->eflags, print_tainted());
+	printk(KERN_EMERG "EAX: %08lx EBX: %08lx ECX: %08lx EDX: %08lx\n",
 		regs->eax,regs->ebx,regs->ecx,regs->edx);
-	printk("ESI: %08lx EDI: %08lx EBP: %08lx",
+	printk(KERN_EMERG "ESI: %08lx EDI: %08lx EBP: %08lx",
 		regs->esi, regs->edi, regs->ebp);
-	printk(" DS: %04x ES: %04x\n",
+	printk(KERN_EMERG " DS: %04x ES: %04x\n",
 		0xffff & regs->xds,0xffff & regs->xes);
 
 	__asm__("movl %%cr0, %0": "=r" (cr0));
@@ -189,7 +189,7 @@
 		".long 1b,2b			\n"
 		".previous			\n"
 		: "=r" (cr4): "0" (0));
-	printk("CR0: %08lx CR2: %08lx CR3: %08lx CR4: %08lx\n", cr0, cr2, cr3, cr4);
+	printk(KERN_EMERG "CR0: %08lx CR2: %08lx CR3: %08lx CR4: %08lx\n", cr0, cr2, cr3, cr4);
 	show_trace(NULL, &regs->esp);
 }
 
@@ -262,7 +262,7 @@
 	if (dead_task->mm) {
 		// temporary debugging check
 		if (dead_task->mm->context.size) {
-			printk("WARNING: dead process %8s still has LDT? <%p/%d>\n",
+			printk(KERN_WARNING "WARNING: dead process %8s still has LDT? <%p/%d>\n",
 					dead_task->comm,
 					dead_task->mm->context.ldt,
 					dead_task->mm->context.size);
diff -urN linux-2.6.0-test1/arch/i386/kernel/scx200.c linux-2.6.0-test1-printk-i386/arch/i386/kernel/scx200.c
--- linux-2.6.0-test1/arch/i386/kernel/scx200.c	2003-07-13 23:37:32.000000000 -0400
+++ linux-2.6.0-test1-printk-i386/arch/i386/kernel/scx200.c	2003-07-23 10:02:57.000000000 -0400
@@ -50,30 +50,30 @@
 	printk(KERN_DEBUG "GPIO%02u: 0x%08lx", index, (unsigned long)config);
 	
 	if (config & 1) 
-		printk(" OE"); /* output enabled */
+		printk(KERN_DEBUG " OE"); /* output enabled */
 	else
-		printk(" TS"); /* tristate */
+		printk(KERN_DEBUG " TS"); /* tristate */
 	if (config & 2) 
-		printk(" PP"); /* push pull */
+		printk(KERN_DEBUG " PP"); /* push pull */
 	else
-		printk(" OD"); /* open drain */
+		printk(KERN_DEBUG " OD"); /* open drain */
 	if (config & 4) 
-		printk(" PUE"); /* pull up enabled */
+		printk(KERN_DEBUG " PUE"); /* pull up enabled */
 	else
-		printk(" PUD"); /* pull up disabled */
+		printk(KERN_DEBUG " PUD"); /* pull up disabled */
 	if (config & 8) 
-		printk(" LOCKED"); /* locked */
+		printk(KERN_DEBUG " LOCKED"); /* locked */
 	if (config & 16) 
-		printk(" LEVEL"); /* level input */
+		printk(KERN_DEBUG " LEVEL"); /* level input */
 	else
-		printk(" EDGE"); /* edge input */
+		printk(KERN_DEBUG " EDGE"); /* edge input */
 	if (config & 32) 
-		printk(" HI"); /* trigger on rising edge */
+		printk(KERN_DEBUG " HI"); /* trigger on rising edge */
 	else
-		printk(" LO"); /* trigger on falling edge */
+		printk(KERN_DEBUG " LO"); /* trigger on falling edge */
 	if (config & 64) 
-		printk(" DEBOUNCE"); /* debounce */
-	printk("\n");
+		printk(KERN_DEBUG " DEBOUNCE"); /* debounce */
+	printk(KERN_DEBUG "\n");
 }
 
 int __init scx200_init(void)
diff -urN linux-2.6.0-test1/arch/i386/kernel/setup.c linux-2.6.0-test1-printk-i386/arch/i386/kernel/setup.c
--- linux-2.6.0-test1/arch/i386/kernel/setup.c	2003-07-13 23:34:02.000000000 -0400
+++ linux-2.6.0-test1-printk-i386/arch/i386/kernel/setup.c	2003-07-23 09:44:43.000000000 -0400
@@ -166,22 +166,22 @@
 	int i;
 
 	for (i = 0; i < e820.nr_map; i++) {
-		printk(" %s: %016Lx - %016Lx ", who,
+		printk(KERN_INFO " %s: %016Lx - %016Lx ", who,
 			e820.map[i].addr,
 			e820.map[i].addr + e820.map[i].size);
 		switch (e820.map[i].type) {
-		case E820_RAM:	printk("(usable)\n");
+		case E820_RAM:	printk(KERN_INFO "(usable)\n");
 				break;
 		case E820_RESERVED:
-				printk("(reserved)\n");
+				printk(KERN_INFO "(reserved)\n");
 				break;
 		case E820_ACPI:
-				printk("(ACPI data)\n");
+				printk(KERN_INFO "(ACPI data)\n");
 				break;
 		case E820_NVS:
-				printk("(ACPI NVS)\n");
+				printk(KERN_INFO "(ACPI NVS)\n");
 				break;
-		default:	printk("type %lu\n", e820.map[i].type);
+		default:	printk(KERN_INFO "type %lu\n", e820.map[i].type);
 				break;
 		}
 	}
@@ -582,7 +582,7 @@
 		if (highmem_pages + MAXMEM_PFN < max_pfn)
 			max_pfn = MAXMEM_PFN + highmem_pages;
 		if (highmem_pages + MAXMEM_PFN > max_pfn) {
-			printk("only %luMB highmem pages available, ignoring highmem size of %uMB.\n", pages_to_mb(max_pfn - MAXMEM_PFN), pages_to_mb(highmem_pages));
+			printk(KERN_INFO "only %luMB highmem pages available, ignoring highmem size of %uMB.\n", pages_to_mb(max_pfn - MAXMEM_PFN), pages_to_mb(highmem_pages));
 			highmem_pages = 0;
 		}
 		max_low_pfn = MAXMEM_PFN;
@@ -927,7 +927,7 @@
 	edid_info = EDID_INFO;
 	apm_info.bios = APM_BIOS_INFO;
 	saved_videomode = VIDEO_MODE;
-	printk("Video mode to be used for restore is %lx\n", saved_videomode);
+	printk(KERN_INFO "Video mode to be used for restore is %lx\n", saved_videomode);
 	if( SYS_DESC_TABLE.length != 0 ) {
 		MCA_bus = SYS_DESC_TABLE.table[3] &0x2;
 		machine_id = SYS_DESC_TABLE.table[0];
diff -urN linux-2.6.0-test1/arch/i386/kernel/signal.c linux-2.6.0-test1-printk-i386/arch/i386/kernel/signal.c
--- linux-2.6.0-test1/arch/i386/kernel/signal.c	2003-07-13 23:33:50.000000000 -0400
+++ linux-2.6.0-test1-printk-i386/arch/i386/kernel/signal.c	2003-07-23 09:21:52.000000000 -0400
@@ -401,7 +401,7 @@
 	regs->eflags &= ~TF_MASK;
 
 #if DEBUG_SIG
-	printk("SIG deliver (%s:%d): sp=%p pc=%p ra=%p\n",
+	printk(KERN_DEBUG "SIG deliver (%s:%d): sp=%p pc=%p ra=%p\n",
 		current->comm, current->pid, frame, regs->eip, frame->pretcode);
 #endif
 
@@ -482,7 +482,7 @@
 	regs->eflags &= ~TF_MASK;
 
 #if DEBUG_SIG
-	printk("SIG deliver (%s:%d): sp=%p pc=%p ra=%p\n",
+	printk(KERN_DEBUG "SIG deliver (%s:%d): sp=%p pc=%p ra=%p\n",
 		current->comm, current->pid, frame, regs->eip, frame->pretcode);
 #endif
 
diff -urN linux-2.6.0-test1/arch/i386/kernel/smpboot.c linux-2.6.0-test1-printk-i386/arch/i386/kernel/smpboot.c
--- linux-2.6.0-test1/arch/i386/kernel/smpboot.c	2003-07-13 23:34:03.000000000 -0400
+++ linux-2.6.0-test1-printk-i386/arch/i386/kernel/smpboot.c	2003-07-23 09:49:50.000000000 -0400
@@ -218,7 +218,7 @@
 	unsigned long one_usec;
 	int buggy = 0;
 
-	printk("checking TSC synchronization across %u CPUs: ", num_booting_cpus());
+	printk(KERN_INFO "checking TSC synchronization across %u CPUs: ", num_booting_cpus());
 
 	/* convert from kcyc/sec to cyc/usec */
 	one_usec = cpu_khz / 1000;
@@ -289,19 +289,19 @@
 			long realdelta;
 			if (!buggy) {
 				buggy = 1;
-				printk("\n");
+				printk(KERN_INFO "\n");
 			}
 			realdelta = div64(delta, one_usec);
 			if (tsc_values[i] < avg)
 				realdelta = -realdelta;
 
-			printk("BIOS BUG: CPU#%d improperly initialized, has %ld usecs TSC skew! FIXED.\n", i, realdelta);
+			printk(KERN_INFO "BIOS BUG: CPU#%d improperly initialized, has %ld usecs TSC skew! FIXED.\n", i, realdelta);
 		}
 
 		sum += delta;
 	}
 	if (!buggy)
-		printk("passed.\n");
+		printk(KERN_INFO "passed.\n");
 		;
 }
 
@@ -354,7 +354,7 @@
 	phys_id = GET_APIC_ID(apic_read(APIC_ID));
 	cpuid = smp_processor_id();
 	if (test_bit(cpuid, &cpu_callin_map)) {
-		printk("huh, phys CPU#%d, CPU#%d already present??\n",
+		printk(KERN_ERR "huh, phys CPU#%d, CPU#%d already present??\n",
 					phys_id, cpuid);
 		BUG();
 	}
@@ -382,7 +382,7 @@
 	}
 
 	if (!time_before(jiffies, timeout)) {
-		printk("BUG: CPU%d started up but did not get a callout!\n",
+		printk(KERN_ERR "BUG: CPU%d started up but did not get a callout!\n",
 			cpuid);
 		BUG();
 	}
@@ -507,7 +507,7 @@
 /* set up a mapping between cpu and node. */
 static inline void map_cpu_to_node(int cpu, int node)
 {
-	printk("Mapping cpu %d to node %d\n", cpu, node);
+	printk(KERN_INFO "Mapping cpu %d to node %d\n", cpu, node);
 	node_2_cpu_mask[node] |= (1 << cpu);
 	cpu_2_node[cpu] = node;
 }
@@ -517,7 +517,7 @@
 {
 	int node;
 
-	printk("Unmapping cpu %d from all nodes\n", cpu);
+	printk(KERN_INFO "Unmapping cpu %d from all nodes\n", cpu);
 	for (node = 0; node < MAX_NR_NODES; node ++)
 		node_2_cpu_mask[node] &= ~(1 << cpu);
 	cpu_2_node[cpu] = -1;
@@ -553,10 +553,10 @@
 	char *names[] = { "ID", "VERSION", "SPIV" };
 	int timeout, status;
 
-	printk("Inquiring remote APIC #%d...\n", apicid);
+	printk(KERN_DEBUG "Inquiring remote APIC #%d...\n", apicid);
 
 	for (i = 0; i < sizeof(regs) / sizeof(*regs); i++) {
-		printk("... APIC #%d %s: ", apicid, names[i]);
+		printk(KERN_DEBUG "... APIC #%d %s: ", apicid, names[i]);
 
 		/*
 		 * Wait for idle.
@@ -575,10 +575,10 @@
 		switch (status) {
 		case APIC_ICR_RR_VALID:
 			status = apic_read(APIC_RRR);
-			printk("%08x\n", status);
+			printk(KERN_DEBUG "%08x\n", status);
 			break;
 		default:
-			printk("failed\n");
+			printk(KERN_DEBUG "failed\n");
 		}
 	}
 }
@@ -627,9 +627,9 @@
 	Dprintk("NMI sent.\n");
 
 	if (send_status)
-		printk("APIC never delivered???\n");
+		printk(KERN_WARNING "APIC never delivered???\n");
 	if (accept_status)
-		printk("APIC delivery error (%lx).\n", accept_status);
+		printk(KERN_ERR "APIC delivery error (%lx).\n", accept_status);
 
 	return (send_status | accept_status);
 }
@@ -762,9 +762,9 @@
 	Dprintk("After Startup.\n");
 
 	if (send_status)
-		printk("APIC never delivered???\n");
+		printk(KERN_WARNING "APIC never delivered???\n");
 	if (accept_status)
-		printk("APIC delivery error (%lx).\n", accept_status);
+		printk(KERN_ERR "APIC delivery error (%lx).\n", accept_status);
 
 	return (send_status | accept_status);
 }
@@ -809,7 +809,7 @@
 	start_eip = setup_trampoline();
 
 	/* So we see what's up   */
-	printk("Booting processor %d/%d eip %lx\n", cpu, apicid, start_eip);
+	printk(KERN_INFO "Booting processor %d/%d eip %lx\n", cpu, apicid, start_eip);
 	/* Stack for startup_32 can be just as for start_secondary onwards */
 	stack_start.esp = (void *) idle->thread.esp;
 
@@ -851,7 +851,7 @@
 		if (test_bit(cpu, &cpu_callin_map)) {
 			/* number CPUs logically, starting from 1 (BSP is 0) */
 			Dprintk("OK.\n");
-			printk("CPU%d: ", cpu);
+			printk(KERN_INFO "CPU%d: ", cpu);
 			print_cpu_info(&cpu_data[cpu]);
 			Dprintk("CPU has booted.\n");
 		} else {
@@ -859,10 +859,10 @@
 			if (*((volatile unsigned char *)trampoline_base)
 					== 0xA5)
 				/* trampoline started but...? */
-				printk("Stuck ??\n");
+				printk(KERN_ERR "Stuck ??\n");
 			else
 				/* trampoline code not run */
-				printk("Not responding.\n");
+				printk(KERN_ERR "Not responding.\n");
 			inquire_remote_apic(apicid);
 		}
 	}
@@ -917,10 +917,10 @@
 
 	cache_decay_ticks = (long)cacheflush_time/cpu_khz * HZ / 1000;
 
-	printk("per-CPU timeslice cutoff: %ld.%02ld usecs.\n",
+	printk(KERN_INFO "per-CPU timeslice cutoff: %ld.%02ld usecs.\n",
 		(long)cacheflush_time/(cpu_khz/1000),
 		((long)cacheflush_time*100/(cpu_khz/1000)) % 100);
-	printk("task migration cache decay timeout: %ld msecs.\n",
+	printk(KERN_INFO "task migration cache decay timeout: %ld msecs.\n",
 		(cache_decay_ticks + 1) * 1000 / HZ);
 }
 
@@ -942,7 +942,7 @@
 	 * Setup boot CPU information
 	 */
 	smp_store_cpu_info(0); /* Final full version of the data */
-	printk("CPU%d: ", 0);
+	printk(KERN_INFO "CPU%d: ", 0);
 	print_cpu_info(&cpu_data[0]);
 
 	boot_cpu_logical_apicid = logical_smp_processor_id();
@@ -971,7 +971,7 @@
 	 * Makes no sense to do this check in clustered apic mode, so skip it
 	 */
 	if (!check_phys_apicid_present(boot_cpu_physical_apicid)) {
-		printk("weird, boot CPU (#%d) not listed by the BIOS.\n",
+		printk(KERN_WARNING "weird, boot CPU (#%d) not listed by the BIOS.\n",
 				boot_cpu_physical_apicid);
 		phys_cpu_present_map |= (1 << hard_smp_processor_id());
 	}
@@ -1034,7 +1034,7 @@
 			continue;
 
 		if (do_boot_cpu(apicid))
-			printk("CPU #%d not responding - cannot use it.\n",
+			printk(KERN_ERR "CPU #%d not responding - cannot use it.\n",
 								apicid);
 		else
 			++kicked;
@@ -1094,7 +1094,7 @@
 					continue;
 				if (phys_proc_id[cpu] == phys_proc_id[i]) {
 					cpu_sibling_map[cpu] = i;
-					printk("cpu_sibling_map[%d] = %d\n", cpu, cpu_sibling_map[cpu]);
+					printk(KERN_INFO "cpu_sibling_map[%d] = %d\n", cpu, cpu_sibling_map[cpu]);
 					break;
 				}
 			}
diff -urN linux-2.6.0-test1/arch/i386/kernel/srat.c linux-2.6.0-test1-printk-i386/arch/i386/kernel/srat.c
--- linux-2.6.0-test1/arch/i386/kernel/srat.c	2003-07-13 23:31:51.000000000 -0400
+++ linux-2.6.0-test1-printk-i386/arch/i386/kernel/srat.c	2003-07-23 09:03:23.000000000 -0400
@@ -73,7 +73,7 @@
 	/* mark this node as "seen" in node bitmap */
 	BMAP_SET(pxm_bitmap, cpu_affinity->proximity_domain);
 
-	printk("CPU 0x%02X in proximity domain 0x%02X\n",
+	printk(KERN_INFO "CPU 0x%02X in proximity domain 0x%02X\n",
 		cpu_affinity->apic_id, cpu_affinity->proximity_domain);
 }
 
@@ -108,7 +108,7 @@
 	pxm = memory_affinity->proximity_domain;
 
 	if (num_memory_chunks >= MAXCHUNKS) {
-		printk("Too many mem chunks in SRAT. Ignoring %lld MBytes at %llx\n",
+		printk(KERN_WARNING "Too many mem chunks in SRAT. Ignoring %lld MBytes at %llx\n",
 			size/(1024*1024), paddr);
 		return;
 	}
@@ -129,7 +129,7 @@
 
 	num_memory_chunks++;
 
-	printk("Memory range 0x%lX to 0x%lX (type 0x%X) in proximity domain 0x%02X %s\n",
+	printk(KERN_INFO "Memory range 0x%lX to 0x%lX (type 0x%X) in proximity domain 0x%02X %s\n",
 		start_pfn, end_pfn,
 		memory_affinity->memory_type,
 		memory_affinity->proximity_domain,
@@ -228,12 +228,12 @@
 			parse_memory_affinity_structure(p);
 			break;
 		default:
-			printk("ACPI 2.0 SRAT: unknown entry skipped: type=0x%02X, len=%d\n", p[0], p[1]);
+			printk(KERN_INFO "ACPI 2.0 SRAT: unknown entry skipped: type=0x%02X, len=%d\n", p[0], p[1]);
 			break;
 		}
 		p += p[1];
 		if (p[1] == 0) {
-			printk("acpi20_parse_srat: Entry length value is zero;"
+			printk(KERN_WARNING "acpi20_parse_srat: Entry length value is zero;"
 				" can't parse any further!\n");
 			break;
 		}
@@ -262,16 +262,16 @@
 
 	initialize_physnode_map();
 	
-	printk("pxm bitmap: ");
+	printk(KERN_INFO "pxm bitmap: ");
 	for (i = 0; i < sizeof(pxm_bitmap); i++) {
-		printk("%02X ", pxm_bitmap[i]);
+		printk(KERN_INFO "%02X ", pxm_bitmap[i]);
 	}
-	printk("\n");
-	printk("Number of logical nodes in system = %d\n", numnodes);
-	printk("Number of memory chunks in system = %d\n", num_memory_chunks);
+	printk(KERN_INFO "\n");
+	printk(KERN_INFO "Number of logical nodes in system = %d\n", numnodes);
+	printk(KERN_INFO "Number of memory chunks in system = %d\n", num_memory_chunks);
 
 	for (j = 0; j < num_memory_chunks; j++){
-		printk("chunk %d nid %d start_pfn %08lx end_pfn %08lx\n",
+		printk(KERN_INFO "chunk %d nid %d start_pfn %08lx end_pfn %08lx\n",
 		       j, node_memory_chunk[j].nid,
 		       node_memory_chunk[j].start_pfn,
 		       node_memory_chunk[j].end_pfn);
@@ -311,15 +311,15 @@
 	acpi_find_root_pointer(ACPI_PHYSICAL_ADDRESSING, rsdp_address);
 
 	if (rsdp_address->pointer_type == ACPI_PHYSICAL_POINTER) {
-		printk("%s: assigning address to rsdp\n", __FUNCTION__);
+		printk(KERN_INFO "%s: assigning address to rsdp\n", __FUNCTION__);
 		rsdp = (struct acpi_table_rsdp *)
 				(u32)rsdp_address->pointer.physical;
 	} else {
-		printk("%s: rsdp_address is not a physical pointer\n", __FUNCTION__);
+		printk(KERN_INFO "%s: rsdp_address is not a physical pointer\n", __FUNCTION__);
 		return;
 	}
 	if (!rsdp) {
-		printk("%s: Didn't find ACPI root!\n", __FUNCTION__);
+		printk(KERN_WARNING "%s: Didn't find ACPI root!\n", __FUNCTION__);
 		return;
 	}
 
@@ -364,7 +364,7 @@
 		return;
 	}
 
-printk("Begin table scan....\n");
+printk(KERN_INFO "Begin table scan....\n");
 
 	for (i = 0; i < tables; i++) {
 		/* Map in header, then map in full table length. */
@@ -431,7 +431,7 @@
 		get_zholes_init();
 	}
 	if((nid >= numnodes) | (nid >= MAX_NUMNODES))
-		printk("%s: nid = %d is invalid. numnodes = %d",
+		printk(KERN_WARNING "%s: nid = %d is invalid. numnodes = %d",
 		       __FUNCTION__, nid, numnodes);
 	return &zholes_size[nid * MAX_NR_ZONES];
 }
diff -urN linux-2.6.0-test1/arch/i386/kernel/summit.c linux-2.6.0-test1-printk-i386/arch/i386/kernel/summit.c
--- linux-2.6.0-test1/arch/i386/kernel/summit.c	2003-07-13 23:34:30.000000000 -0400
+++ linux-2.6.0-test1-printk-i386/arch/i386/kernel/summit.c	2003-07-23 09:50:59.000000000 -0400
@@ -43,7 +43,7 @@
 		}
 	}
 	if (i == rth->num_rio_dev){
-		printk("%s: Couldn't find owner Cyclone for Winnipeg!\n", __FUNCTION__);
+		printk(KERN_ERR "%s: Couldn't find owner Cyclone for Winnipeg!\n", __FUNCTION__);
 		return;
 	}
 
@@ -54,7 +54,7 @@
 		}
 	}
 	if (i == rth->num_scal_dev){
-		printk("%s: Couldn't find owner Twister for Cyclone!\n", __FUNCTION__);
+		printk(KERN_ERR "%s: Couldn't find owner Twister for Cyclone!\n", __FUNCTION__);
 		return;
 	}
 
@@ -82,10 +82,10 @@
 		break;
 	case LookOutAWPEG:
 	case LookOutBWPEG:
-		printk("%s: LookOut Winnipegs not supported yet!\n", __FUNCTION__);
+		printk(KERN_ERR "%s: LookOut Winnipegs not supported yet!\n", __FUNCTION__);
 		return;
 	default:
-		printk("%s: Unsupported Winnipeg type!\n", __FUNCTION__);
+		printk(KERN_ERR "%s: Unsupported Winnipeg type!\n", __FUNCTION__);
 		return;
 	}
 
@@ -100,7 +100,7 @@
 
 	switch (rth->version){
 	default:
-		printk("%s: Bad Rio Grande Table Version: %d\n", __FUNCTION__, rth->version);
+		printk(KERN_ERR "%s: Bad Rio Grande Table Version: %d\n", __FUNCTION__, rth->version);
 		/* Fall through to default to version 2 spec */
 	case 2:
 		scal_detail_size = 11;
@@ -148,7 +148,7 @@
 		offset = *((unsigned short *)(ptr + offset));
 	}
 	if (!rio_table_hdr){
-		printk("%s: Unable to locate Rio Grande Table in EBDA - bailing!\n", __FUNCTION__);
+		printk(KERN_ERR "%s: Unable to locate Rio Grande Table in EBDA - bailing!\n", __FUNCTION__);
 		return;
 	}
 
diff -urN linux-2.6.0-test1/arch/i386/kernel/sysenter.c linux-2.6.0-test1-printk-i386/arch/i386/kernel/sysenter.c
--- linux-2.6.0-test1/arch/i386/kernel/sysenter.c	2003-07-13 23:39:22.000000000 -0400
+++ linux-2.6.0-test1-printk-i386/arch/i386/kernel/sysenter.c	2003-07-23 10:04:16.000000000 -0400
@@ -32,7 +32,7 @@
 	wrmsr(MSR_IA32_SYSENTER_ESP, tss->esp1, 0);
 	wrmsr(MSR_IA32_SYSENTER_EIP, (unsigned long) sysenter_entry, 0);
 
-	printk("Enabling SEP on CPU %d\n", cpu);
+	printk(KERN_NOTICE "Enabling SEP on CPU %d\n", cpu);
 	put_cpu();	
 }
 
diff -urN linux-2.6.0-test1/arch/i386/kernel/timers/timer_cyclone.c linux-2.6.0-test1-printk-i386/arch/i386/kernel/timers/timer_cyclone.c
--- linux-2.6.0-test1/arch/i386/kernel/timers/timer_cyclone.c	2003-07-13 23:36:31.000000000 -0400
+++ linux-2.6.0-test1-printk-i386/arch/i386/kernel/timers/timer_cyclone.c	2003-07-21 20:04:35.000000000 -0400
@@ -226,7 +226,7 @@
 		       		:"=a" (cpu_khz), "=d" (edx)
         	       		:"r" (tsc_quotient),
 	                	"0" (eax), "1" (edx));
-				printk("Detected %lu.%03lu MHz processor.\n", cpu_khz / 1000, cpu_khz % 1000);
+				printk(KERN_INFO "Detected %lu.%03lu MHz processor.\n", cpu_khz / 1000, cpu_khz % 1000);
 			}
 		}
 	}
diff -urN linux-2.6.0-test1/arch/i386/kernel/timers/timer_tsc.c linux-2.6.0-test1-printk-i386/arch/i386/kernel/timers/timer_tsc.c
--- linux-2.6.0-test1/arch/i386/kernel/timers/timer_tsc.c	2003-07-13 23:35:57.000000000 -0400
+++ linux-2.6.0-test1-printk-i386/arch/i386/kernel/timers/timer_tsc.c	2003-07-21 20:03:54.000000000 -0400
@@ -385,7 +385,7 @@
 		       		:"=a" (cpu_khz), "=d" (edx)
         	       		:"r" (tsc_quotient),
 	                	"0" (eax), "1" (edx));
-				printk("Detected %lu.%03lu MHz processor.\n", cpu_khz / 1000, cpu_khz % 1000);
+				printk(KERN_INFO "Detected %lu.%03lu MHz processor.\n", cpu_khz / 1000, cpu_khz % 1000);
 			}
 			set_cyc2ns_scale(cpu_khz/1000);
 			return 0;
diff -urN linux-2.6.0-test1/arch/i386/kernel/traps.c linux-2.6.0-test1-printk-i386/arch/i386/kernel/traps.c
--- linux-2.6.0-test1/arch/i386/kernel/traps.c	2003-07-13 23:31:20.000000000 -0400
+++ linux-2.6.0-test1-printk-i386/arch/i386/kernel/traps.c	2003-07-21 21:41:11.000000000 -0400
@@ -99,18 +99,18 @@
 	if (!stack)
 		stack = (unsigned long*)&stack;
 
-	printk("Call Trace:");
+	printk(KERN_EMERG "Call Trace:");
 #ifdef CONFIG_KALLSYMS
-	printk("\n");
+	printk(KERN_EMERG "\n");
 #endif
 	while (((long) stack & (THREAD_SIZE-1)) != 0) {
 		addr = *stack++;
 		if (kernel_text_address(addr)) {
-			printk(" [<%08lx>] ", addr);
+			printk(KERN_EMERG " [<%08lx>] ", addr);
 			print_symbol("%s\n", addr);
 		}
 	}
-	printk("\n");
+	printk(KERN_EMERG "\n");
 }
 
 void show_trace_task(struct task_struct *tsk)
@@ -140,10 +140,10 @@
 		if (((long) stack & (THREAD_SIZE-1)) == 0)
 			break;
 		if (i && ((i % 8) == 0))
-			printk("\n       ");
-		printk("%08lx ", *stack++);
+			printk(KERN_EMERG "\n       ");
+		printk(KERN_EMERG "%08lx ", *stack++);
 	}
-	printk("\n");
+	printk(KERN_EMERG "\n");
 	show_trace(task, esp);
 }
 
@@ -172,17 +172,17 @@
 		ss = regs->xss & 0xffff;
 	}
 	print_modules();
-	printk("CPU:    %d\nEIP:    %04x:[<%08lx>]    %s\nEFLAGS: %08lx\n",
+	printk(KERN_EMERG "CPU:    %d\nEIP:    %04x:[<%08lx>]    %s\nEFLAGS: %08lx\n",
 		smp_processor_id(), 0xffff & regs->xcs, regs->eip, print_tainted(), regs->eflags);
 
 	print_symbol("EIP is at %s\n", regs->eip);
-	printk("eax: %08lx   ebx: %08lx   ecx: %08lx   edx: %08lx\n",
+	printk(KERN_EMERG "eax: %08lx   ebx: %08lx   ecx: %08lx   edx: %08lx\n",
 		regs->eax, regs->ebx, regs->ecx, regs->edx);
-	printk("esi: %08lx   edi: %08lx   ebp: %08lx   esp: %08lx\n",
+	printk(KERN_EMERG "esi: %08lx   edi: %08lx   ebp: %08lx   esp: %08lx\n",
 		regs->esi, regs->edi, regs->ebp, esp);
-	printk("ds: %04x   es: %04x   ss: %04x\n",
+	printk(KERN_EMERG "ds: %04x   es: %04x   ss: %04x\n",
 		regs->xds & 0xffff, regs->xes & 0xffff, ss);
-	printk("Process %s (pid: %d, threadinfo=%p task=%p)",
+	printk(KERN_EMERG "Process %s (pid: %d, threadinfo=%p task=%p)",
 		current->comm, current->pid, current_thread_info(), current);
 	/*
 	 * When in-kernel, we also print out the stack and code at the
@@ -190,10 +190,10 @@
 	 */
 	if (in_kernel) {
 
-		printk("\nStack: ");
+		printk(KERN_EMERG "\nStack: ");
 		show_stack(NULL, (unsigned long*)esp);
 
-		printk("Code: ");
+		printk(KERN_EMERG "Code: ");
 		if(regs->eip < PAGE_OFFSET)
 			goto bad;
 
@@ -202,13 +202,13 @@
 			unsigned char c;
 			if(__get_user(c, &((unsigned char*)regs->eip)[i])) {
 bad:
-				printk(" Bad EIP value.");
+				printk(KERN_EMERG " Bad EIP value.");
 				break;
 			}
-			printk("%02x ", c);
+			printk(KERN_EMERG "%02x ", c);
 		}
 	}
-	printk("\n");
+	printk(KERN_EMERG "\n");
 }	
 
 static void handle_BUG(struct pt_regs *regs)
@@ -236,15 +236,15 @@
 		(unsigned long)file < PAGE_OFFSET || __get_user(c, file))
 		file = "<bad filename>";
 
-	printk("------------[ cut here ]------------\n");
-	printk("kernel BUG at %s:%d!\n", file, line);
+	printk(KERN_EMERG "------------[ cut here ]------------\n");
+	printk(KERN_EMERG "kernel BUG at %s:%d!\n", file, line);
 
 no_bug:
 	return;
 
 	/* Here we know it was a BUG but file-n-line is unavailable */
 bug:
-	printk("Kernel BUG\n");
+	printk(KERN_EMERG "Kernel BUG\n");
 }
 
 spinlock_t die_lock = SPIN_LOCK_UNLOCKED;
@@ -257,7 +257,7 @@
 	spin_lock_irq(&die_lock);
 	bust_spinlocks(1);
 	handle_BUG(regs);
-	printk("%s: %04lx [#%d]\n", str, err & 0xffff, ++die_counter);
+	printk(KERN_EMERG "%s: %04lx [#%d]\n", str, err & 0xffff, ++die_counter);
 	show_registers(regs);
 	bust_spinlocks(0);
 	spin_unlock_irq(&die_lock);
@@ -393,8 +393,8 @@
 
 static void mem_parity_error(unsigned char reason, struct pt_regs * regs)
 {
-	printk("Uhhuh. NMI received. Dazed and confused, but trying to continue\n");
-	printk("You probably have a hardware problem with your RAM chips\n");
+	printk(KERN_CRIT "Uhhuh. NMI received. Dazed and confused, but trying to continue\n");
+	printk(KERN_CRIT "You probably have a hardware problem with your RAM chips\n");
 
 	/* Clear and disable the memory parity error line. */
 	clear_mem_error(reason);
@@ -404,7 +404,7 @@
 {
 	unsigned long i;
 
-	printk("NMI: IOCK error (debug interrupt?)\n");
+	printk(KERN_EMERG "NMI: IOCK error (debug interrupt?)\n");
 	show_registers(regs);
 
 	/* Re-enable the IOCK line, wait for a few seconds */
@@ -426,10 +426,10 @@
 		return;
 	}
 #endif
-	printk("Uhhuh. NMI received for unknown reason %02x on CPU %d.\n",
+	printk(KERN_CRIT "Uhhuh. NMI received for unknown reason %02x on CPU %d.\n",
 		reason, smp_processor_id());
-	printk("Dazed and confused, but trying to continue\n");
-	printk("Do you have a strange power saving mode enabled?\n");
+	printk(KERN_CRIT "Dazed and confused, but trying to continue\n");
+	printk(KERN_CRIT "Do you have a strange power saving mode enabled?\n");
 }
 
 static void default_do_nmi(struct pt_regs * regs)
@@ -733,7 +733,7 @@
 {
 #if 0
 	/* No need to warn about this any longer. */
-	printk("Ignoring P6 Local APIC Spurious Interrupt Bug...\n");
+	printk(KERN_NOTICE "Ignoring P6 Local APIC Spurious Interrupt Bug...\n");
 #endif
 }
 
@@ -762,8 +762,8 @@
 
 asmlinkage void math_emulate(long arg)
 {
-	printk("math-emulation not enabled and no coprocessor found.\n");
-	printk("killing %s.\n",current->comm);
+	printk(KERN_ERR "math-emulation not enabled and no coprocessor found.\n");
+	printk(KERN_ERR "killing %s.\n",current->comm);
 	force_sig(SIGFPE,current);
 	schedule();
 }
diff -urN linux-2.6.0-test1/arch/i386/kernel/vm86.c linux-2.6.0-test1-printk-i386/arch/i386/kernel/vm86.c
--- linux-2.6.0-test1/arch/i386/kernel/vm86.c	2003-07-13 23:30:41.000000000 -0400
+++ linux-2.6.0-test1-printk-i386/arch/i386/kernel/vm86.c	2003-07-21 21:05:21.000000000 -0400
@@ -102,7 +102,7 @@
 	unsigned long tmp;
 
 	if (!current->thread.vm86_info) {
-		printk("no vm86_info: BAD\n");
+		printk(KERN_CRIT "no vm86_info: BAD\n");
 		do_exit(SIGSEGV);
 	}
 	set_flags(regs->eflags, VEFLAGS, VIF_MASK | current->thread.v86mask);
@@ -111,7 +111,7 @@
 		&regs->VM86_REGS_PART2, VM86_REGS_SIZE2);
 	tmp += put_user(current->thread.screen_bitmap,&current->thread.vm86_info->screen_bitmap);
 	if (tmp) {
-		printk("vm86: could not access userspace vm86_info\n");
+		printk(KERN_CRIT "vm86: could not access userspace vm86_info\n");
 		do_exit(SIGSEGV);
 	}
 
diff -urN linux-2.6.0-test1/arch/i386/lib/iodebug.c linux-2.6.0-test1-printk-i386/arch/i386/lib/iodebug.c
--- linux-2.6.0-test1/arch/i386/lib/iodebug.c	2003-07-13 23:37:58.000000000 -0400
+++ linux-2.6.0-test1-printk-i386/arch/i386/lib/iodebug.c	2003-07-23 11:57:36.000000000 -0400
@@ -3,7 +3,7 @@
 void * __io_virt_debug(unsigned long x, const char *file, int line)
 {
 	if (x < PAGE_OFFSET) {
-		printk("io mapaddr 0x%05lx not valid at %s:%d!\n", x, file, line);
+		printk(KERN_DEBUG "io mapaddr 0x%05lx not valid at %s:%d!\n", x, file, line);
 		return __va(x);
 	}
 	return (void *)x;
diff -urN linux-2.6.0-test1/arch/i386/mach-default/setup.c linux-2.6.0-test1-printk-i386/arch/i386/mach-default/setup.c
--- linux-2.6.0-test1/arch/i386/mach-default/setup.c	2003-07-13 23:33:10.000000000 -0400
+++ linux-2.6.0-test1-printk-i386/arch/i386/mach-default/setup.c	2003-07-23 12:10:36.000000000 -0400
@@ -99,6 +99,6 @@
 	 * at the moment.
 	 */
 
-	printk("NMI generated from unknown source!\n");
+	printk(KERN_WARNING "NMI generated from unknown source!\n");
 }
 #endif
diff -urN linux-2.6.0-test1/arch/i386/mach-es7000/es7000.c linux-2.6.0-test1-printk-i386/arch/i386/mach-es7000/es7000.c
--- linux-2.6.0-test1/arch/i386/mach-es7000/es7000.c	2003-07-13 23:38:02.000000000 -0400
+++ linux-2.6.0-test1-printk-i386/arch/i386/mach-es7000/es7000.c	2003-07-23 12:01:43.000000000 -0400
@@ -112,10 +112,10 @@
 	}
 
 	if (success < 2) {
-		printk("\nNo ES7000 found.\n");
+		printk(KERN_INFO "\nNo ES7000 found.\n");
 		es7000_plat = 0;
 	} else {
-		printk("\nEnabling ES7000 specific features...\n");
+		printk(KERN_INFO "\nEnabling ES7000 specific features...\n");
 		es7000_plat = 1;
 	}
 	return;
@@ -172,7 +172,7 @@
 			}
 		}
 	}
-	printk("ES7000: did not find Unisys ACPI OEM table!\n");
+	printk(KERN_ERR "ES7000: did not find Unisys ACPI OEM table!\n");
 	return -1;
 }
 
@@ -195,7 +195,7 @@
 	while (((unsigned long long)host_reg->off_38 &
 		(unsigned long long)MIP_VALID) != 0) {
 			if (--spin <= 0) {
-				printk("es7000_mip_write: Timeout waiting for Host Valid Flag");
+				printk(KERN_ERR "es7000_mip_write: Timeout waiting for Host Valid Flag");
 				return -1;
 			}
 		es7000_spin(MIP_SPIN);
@@ -209,7 +209,7 @@
 	while (((unsigned long long)mip_reg->off_38 &
 		(unsigned long long)MIP_VALID) == 0) {
 		if (--spin <= 0) {
-			printk("es7000_mip_write: Timeout waiting for MIP Valid Flag");
+			printk(KERN_ERR "es7000_mip_write: Timeout waiting for MIP Valid Flag");
 			return -1;
 		}
 		es7000_spin(MIP_SPIN);
@@ -269,12 +269,12 @@
 		int mip_status;
 		struct mip_reg es7000_mip_reg;
 
-		printk("ES7000: Enabling APIC mode.\n");
+		printk(KERN_INFO "ES7000: Enabling APIC mode.\n");
         	memset(&es7000_mip_reg, 0, sizeof(struct mip_reg));
         	es7000_mip_reg.off_0 = MIP_SW_APIC;
         	es7000_mip_reg.off_38 = (MIP_VALID);
         	while ((mip_status = es7000_mip_write(&es7000_mip_reg)) != 0)
-              		printk("es7000_sw_apic: command failed, status = %x\n", 
+              		printk(KERN_INFO "es7000_sw_apic: command failed, status = %x\n", 
 				mip_status);
 		return;
 	}
diff -urN linux-2.6.0-test1/arch/i386/mach-es7000/setup.c linux-2.6.0-test1-printk-i386/arch/i386/mach-es7000/setup.c
--- linux-2.6.0-test1/arch/i386/mach-es7000/setup.c	2003-07-13 23:34:39.000000000 -0400
+++ linux-2.6.0-test1-printk-i386/arch/i386/mach-es7000/setup.c	2003-07-23 12:00:28.000000000 -0400
@@ -99,7 +99,7 @@
 	 * at the moment.
 	 */
 
-	printk("NMI generated from unknown source!\n");
+	printk(KERN_WARNING "NMI generated from unknown source!\n");
 }
 
 #endif
diff -urN linux-2.6.0-test1/arch/i386/mach-pc9800/setup.c linux-2.6.0-test1-printk-i386/arch/i386/mach-pc9800/setup.c
--- linux-2.6.0-test1/arch/i386/mach-pc9800/setup.c	2003-07-13 23:28:54.000000000 -0400
+++ linux-2.6.0-test1-printk-i386/arch/i386/mach-pc9800/setup.c	2003-07-23 11:57:11.000000000 -0400
@@ -112,6 +112,6 @@
 	 * at the moment.
 	 */
 
-	printk("NMI generated from unknown source!\n");
+	printk(KERN_WARNING "NMI generated from unknown source!\n");
 }
 #endif
diff -urN linux-2.6.0-test1/arch/i386/mach-voyager/voyager_basic.c linux-2.6.0-test1-printk-i386/arch/i386/mach-voyager/voyager_basic.c
--- linux-2.6.0-test1/arch/i386/mach-voyager/voyager_basic.c	2003-07-13 23:32:29.000000000 -0400
+++ linux-2.6.0-test1-printk-i386/arch/i386/mach-voyager/voyager_basic.c	2003-07-23 12:03:07.000000000 -0400
@@ -64,7 +64,7 @@
 		int class = (bios->class_1 << 8) 
 			| (bios->class_2 & 0xff);
 
-		printk("Voyager System detected.\n"
+		printk(KERN_INFO "Voyager System detected.\n"
 		       "        Class %x, Revision %d.%d\n",
 		       class, bios->major, bios->minor);
 		if(class == VOYAGER_LEVEL4) 
@@ -73,23 +73,23 @@
 			voyager_level = 3;
 		else
 			voyager_level = 5;
-		printk("        Architecture Level %d\n", voyager_level);
+		printk(KERN_INFO "        Architecture Level %d\n", voyager_level);
 		if(voyager_level < 4)
-			printk("\n**WARNING**: Voyager HAL only supports Levels 4 and 5 Architectures at the moment\n\n");
+			printk(KERN_WARNING "\n**WARNING**: Voyager HAL only supports Levels 4 and 5 Architectures at the moment\n\n");
 		/* install the power off handler */
 		pm_power_off = voyager_power_off;
 #ifdef CONFIG_SMP
 		register_sysrq_key('v', &sysrq_voyager_dump_op);
 #endif
 	} else {
-		printk("\n\n**WARNING**: No Voyager Subsystem Found\n");
+		printk(KERN_WARNING "\n\n**WARNING**: No Voyager Subsystem Found\n");
 	}
 }
 
 void
 voyager_system_interrupt(int cpl, void *dev_id, struct pt_regs *regs)
 {
-	printk("Voyager: detected system interrupt\n");
+	printk(KERN_NOTICE "Voyager: detected system interrupt\n");
 }
 
 /* Routine to read information from the extended CMOS area */
@@ -133,7 +133,7 @@
 	unsigned long old;
 
 	if(region >= CLICK_ENTRIES) {
-		printk("Voyager: Illegal ClickMap region %d\n", region);
+		printk(KERN_ERR "Voyager: Illegal ClickMap region %d\n", region);
 		return 0;
 	}
 
@@ -194,7 +194,7 @@
 		spin_unlock(&i8253_lock);
 
 		if(val > LATCH) {
-			printk("\nVOYAGER: countdown timer value too high (%d), resetting\n\n", val);
+			printk(KERN_WARNING "\nVOYAGER: countdown timer value too high (%d), resetting\n\n", val);
 			spin_lock(&i8253_lock);
 			outb(0x34,0x43);
 			outb_p(LATCH & 0xff , 0x40);	/* LSB */
@@ -210,7 +210,7 @@
 void
 voyager_power_off(void)
 {
-	printk("VOYAGER Power Off\n");
+	printk(KERN_NOTICE "VOYAGER Power Off\n");
 
 	if(voyager_level == 5) {
 		voyager_cat_power_off();
@@ -255,7 +255,7 @@
 void
 machine_restart(char *cmd)
 {
-	printk("Voyager Warm Restart\n");
+	printk(KERN_NOTICE "Voyager Warm Restart\n");
 	kb_wait();
 
 	if(voyager_level == 5) {
diff -urN linux-2.6.0-test1/arch/i386/mach-voyager/voyager_cat.c linux-2.6.0-test1-printk-i386/arch/i386/mach-voyager/voyager_cat.c
--- linux-2.6.0-test1/arch/i386/mach-voyager/voyager_cat.c	2003-07-13 23:37:16.000000000 -0400
+++ linux-2.6.0-test1-printk-i386/arch/i386/mach-voyager/voyager_cat.c	2003-07-23 12:10:23.000000000 -0400
@@ -237,7 +237,7 @@
 	outb(VOYAGER_CAT_IRCYC, CAT_CMD);
 	if(!modp->scan_path_connected) {
 		if(asicp->asic_id != VOYAGER_CAT_ID) {
-			printk("**WARNING***: cat_sendinst has disconnected scan path not to CAT asic\n");
+			printk(KERN_WARNING "**WARNING***: cat_sendinst has disconnected scan path not to CAT asic\n");
 			return 1;
 		}
 		outb(VOYAGER_CAT_HEADER, CAT_DATA);
@@ -266,10 +266,10 @@
 	inst_buf[1] = 0xFF >> (modp->largest_reg % BITS_PER_BYTE);
 	cat_pack(iseq, asicp->bit_location, inst_buf, asicp->ireg_length);
 #ifdef VOYAGER_CAT_DEBUG
-	printk("ins = 0x%x, iseq: ", inst);
+	printk(KERN_DEBUG "ins = 0x%x, iseq: ", inst);
 	for(i=0; i< ibytes + hbytes; i++)
-		printk("0x%x ", iseq[i]);
-	printk("\n");
+		printk(KERN_DEBUG "0x%x ", iseq[i]);
+	printk(KERN_DEBUG "\n");
 #endif
 	if(cat_shiftout(iseq, ibytes, hbytes, padbits)) {
 		CDEBUG(("VOYAGER CAT: cat_sendinst: cat_shiftout failed\n"));
@@ -334,10 +334,10 @@
 		*value = 0;
 		cat_unpack(string, padbits + (tbytes * BITS_PER_BYTE) + asicp->asic_location, value, asicp->ireg_length);
 #ifdef VOYAGER_CAT_DEBUG
-		printk("value=0x%x, string: ", *value);
+		printk(KERN_DEBUG "value=0x%x, string: ", *value);
 		for(i=0; i< tbytes+sbytes; i++)
-			printk("0x%x ", string[i]);
-		printk("\n");
+			printk(KERN_DEBUG "0x%x ", string[i]);
+		printk(KERN_DEBUG "\n");
 #endif
 		
 		/* sanity check the rest of the return */
@@ -430,11 +430,11 @@
 		cat_pack(dseq, asicp->asic_location, &value, 
 			 asicp->ireg_length);
 #ifdef VOYAGER_CAT_DEBUG
-		printk("dseq ");
+		printk(KERN_DEBUG "dseq ");
 		for(i=0; i<hbytes+dbytes; i++) {
-			printk("0x%x ", dseq[i]);
+			printk(KERN_DEBUG "0x%x ", dseq[i]);
 		}
-		printk("\n");
+		printk(KERN_DEBUG "\n");
 #endif
 		return cat_shiftout(dseq, dbytes, hbytes, padbits);
 	}
@@ -514,17 +514,17 @@
 	}
 		
 	if((retval = cat_subaddrsetup(modp, asicp, offset, len)) != 0) {
-		printk("cat_subwrite: cat_subaddrsetup FAILED\n");
+		printk(KERN_ERR "cat_subwrite: cat_subaddrsetup FAILED\n");
 		return retval;
 	}
 	
 	if(cat_sendinst(modp, asicp, VOYAGER_SUBADDRDATA, VOYAGER_WRITE_CONFIG)) {
-		printk("cat_subwrite: cat_sendinst FAILED\n");
+		printk(KERN_ERR "cat_subwrite: cat_sendinst FAILED\n");
 		return 1;
 	}
 	for(i = 0; i < len; i++) {
 		if(cat_senddata(modp, asicp, 0xFF, ((__u8 *)buf)[i])) {
-			printk("cat_subwrite: cat_sendata element at %d FAILED\n", i);
+			printk(KERN_ERR "cat_subwrite: cat_sendata element at %d FAILED\n", i);
 			return 1;
 		}
 	}
@@ -607,7 +607,7 @@
 
 
 
-	printk("VOYAGER: beginning CAT bus probe\n");
+	printk(KERN_NOTICE "VOYAGER: beginning CAT bus probe\n");
 	/* set up the SuperSet Port Block which tells us where the
 	 * CAT communication port is */
 	sspb = inb(VOYAGER_SSPB_RELOCATION_PORT) * 0x100;
@@ -646,7 +646,7 @@
 			cat_module_name(i)));
 		*modpp = kmalloc(sizeof(voyager_module_t), GFP_KERNEL); /*&voyager_module_storage[cat_count++];*/
 		if(*modpp == NULL) {
-			printk("**WARNING** kmalloc failure in cat_init\n");
+			printk(KERN_WARNING "**WARNING** kmalloc failure in cat_init\n");
 			continue;
 		}
 		memset(*modpp, 0, sizeof(voyager_module_t));
@@ -654,7 +654,7 @@
 		 * filled in correctly later */
 		(*modpp)->asic = kmalloc(sizeof(voyager_asic_t), GFP_KERNEL); /*&voyager_asic_storage[asic_count];*/
 		if((*modpp)->asic == NULL) {
-			printk("**WARNING** kmalloc failure in cat_init\n");
+			printk(KERN_WARNING "**WARNING** kmalloc failure in cat_init\n");
 			continue;
 		}
 		memset((*modpp)->asic, 0, sizeof(voyager_asic_t));
@@ -664,7 +664,7 @@
 		(*modpp)->scan_path_connected = 0;
 		if(i == VOYAGER_PSI) {
 			/* Exception leg for modules with no EEPROM */
-			printk("Module \"%s\"\n", cat_module_name(i));
+			printk(KERN_NOTICE "Module \"%s\"\n", cat_module_name(i));
 			continue;
 		}
 			       
@@ -674,12 +674,12 @@
 		if(cat_subread(*modpp, (*modpp)->asic,
 			       VOYAGER_XSUM_END_OFFSET, sizeof(eprom_size),
 			       &eprom_size)) {
-			printk("**WARNING**: Voyager couldn't read EPROM size for module 0x%x\n", i);
+			printk(KERN_WARNING "**WARNING**: Voyager couldn't read EPROM size for module 0x%x\n", i);
 			outb(VOYAGER_CAT_END, CAT_CMD);
 			continue;
 		}
 		if(eprom_size > sizeof(eprom_buf)) {
-			printk("**WARNING**: Voyager insufficient size to read EPROM data, module 0x%x.  Need %d\n", i, eprom_size);
+			printk(KERN_WARNING "**WARNING**: Voyager insufficient size to read EPROM data, module 0x%x.  Need %d\n", i, eprom_size);
 			outb(VOYAGER_CAT_END, CAT_CMD);
 			continue;
 		}
@@ -692,7 +692,7 @@
 			continue;
 		}
 		outb(VOYAGER_CAT_END, CAT_CMD);
-		printk("Module \"%s\", version 0x%x, tracer 0x%x, asics %d\n",
+		printk(KERN_NOTICE "Module \"%s\", version 0x%x, tracer 0x%x, asics %d\n",
 		       cat_module_name(i), eprom_hdr->version_id,
 		       *((__u32 *)eprom_hdr->tracer),  eprom_hdr->num_asics);
 		(*modpp)->ee_size = eprom_hdr->ee_size;
@@ -718,7 +718,7 @@
 			/* fill in the dyadic extended processors */
 			__u8 cpu = i & 0x07;
 
-			printk("Module \"%s\": Dyadic Processor Card\n",
+			printk(KERN_NOTICE "Module \"%s\": Dyadic Processor Card\n",
 			       cat_module_name(i));
 			voyager_extended_vic_processors |= (1<<cpu);
 			cpu += 4;
@@ -744,12 +744,12 @@
 		if(cat_subread(*modpp, (*modpp)->asic,
 			       VOYAGER_XSUM_END_OFFSET, sizeof(eprom_size),
 			       &eprom_size)) {
-			printk("**WARNING**: Voyager couldn't read EPROM size for module 0x%x\n", i);
+			printk(KERN_WARNING "**WARNING**: Voyager couldn't read EPROM size for module 0x%x\n", i);
 			outb(VOYAGER_CAT_END, CAT_CMD);
 			continue;
 		}
 		if(eprom_size > sizeof(eprom_buf)) {
-			printk("**WARNING**: Voyager insufficient size to read EPROM data, module 0x%x.  Need %d\n", i, eprom_size);
+			printk(KERN_WARNING "**WARNING**: Voyager insufficient size to read EPROM data, module 0x%x.  Need %d\n", i, eprom_size);
 			outb(VOYAGER_CAT_END, CAT_CMD);
 			continue;
 		}
@@ -778,7 +778,7 @@
 			voyager_jtt_t *jtag_table;
 
 			if(asicp == NULL) {
-				printk("**WARNING** kmalloc failure in cat_init\n");
+				printk(KERN_WARNING "**WARNING** kmalloc failure in cat_init\n");
 				continue;
 			}
 			memset(asicp, 0, sizeof(voyager_asic_t));
@@ -825,14 +825,14 @@
 		qic_addr = qabc_data[5] << 8;
 		qic_addr = (qic_addr | qabc_data[6]) << 8;
 		qic_addr = (qic_addr | qabc_data[7]) << 8;
-		printk("Module \"%s\": Quad Processor Card; CPI 0x%lx, SET=0x%x\n",
+		printk(KERN_NOTICE "Module \"%s\": Quad Processor Card; CPI 0x%lx, SET=0x%x\n",
 		       cat_module_name(i), qic_addr, qabc_data[8]);
 #if 0				/* plumbing fails---FIXME */
 		if((qabc_data[8] & 0xf0) == 0) {
 			/* FIXME: 32 way 8 CPU slot monster cannot be
 			 * plumbed this way---need to check for it */
 
-			printk("Plumbing second Extended Quad Processor\n");
+			printk(KERN_NOTICE "Plumbing second Extended Quad Processor\n");
 			/* second VIC line hardwired to Quad CPU 1 */
 			qabc_data[8] |= 0x20;
 			cat_subwrite(*modpp, qabc_asic, 8, 1, &qabc_data[8]);
@@ -895,7 +895,7 @@
 		modpp = &((*modpp)->next);
 	}
 	*modpp = NULL;
-	printk("CAT Bus Initialisation finished: extended procs 0x%x, quad procs 0x%x, allowed vic boot = 0x%x\n", voyager_extended_vic_processors, voyager_quad_processors, voyager_allowed_boot_processors);
+	printk(KERN_NOTICE "CAT Bus Initialisation finished: extended procs 0x%x, quad procs 0x%x, allowed vic boot = 0x%x\n", voyager_extended_vic_processors, voyager_quad_processors, voyager_allowed_boot_processors);
 	request_resource(&ioport_resource, &vic_res);
 	if(voyager_quad_processors)
 		request_resource(&ioport_resource, &qic_res);
@@ -1077,7 +1077,7 @@
 	if((psi_reg.regs.checkbit & 0x02) == 0) {
 		psi_reg.regs.checkbit |= 0x02;
 		cat_write(&psi, &psi_asic, 5, psi_reg.regs.checkbit);
-		printk("VOYAGER RE-READ PSI\n");
+		printk(KERN_WARNING "VOYAGER RE-READ PSI\n");
 		goto re_read;
 	}
 	outb(VOYAGER_CAT_RUN, CAT_CMD);
@@ -1089,13 +1089,13 @@
 	}
 	outb(VOYAGER_CAT_END, CAT_CMD);
 #ifdef VOYAGER_CAT_DEBUG
-	printk("VOYAGER PSI: ");
+	printk(KERN_DEBUG "VOYAGER PSI: ");
 	for(i=0; i<sizeof(psi_reg.regs); i++)
-		printk("%02x ", ((__u8 *)&psi_reg.regs)[i]);
-	printk("\n           ");
+		printk(KERN_DEBUG "%02x ", ((__u8 *)&psi_reg.regs)[i]);
+	printk(KERN_DEBUG "\n           ");
 	for(i=0; i<sizeof(psi_reg.subregs); i++)
-		printk("%02x ", ((__u8 *)&psi_reg.subregs)[i]);
-	printk("\n");
+		printk(KERN_DEBUG "%02x ", ((__u8 *)&psi_reg.subregs)[i]);
+	printk(KERN_DEBUG "\n");
 #endif
 	if(psi_reg.regs.intstatus & PSI_MON) {
 		/* switch off or power fail */
diff -urN linux-2.6.0-test1/arch/i386/mach-voyager/voyager_smp.c linux-2.6.0-test1-printk-i386/arch/i386/mach-voyager/voyager_smp.c
--- linux-2.6.0-test1/arch/i386/mach-voyager/voyager_smp.c	2003-07-13 23:32:44.000000000 -0400
+++ linux-2.6.0-test1-printk-i386/arch/i386/mach-voyager/voyager_smp.c	2003-07-23 12:06:03.000000000 -0400
@@ -204,7 +204,7 @@
 			ack_VIC_CPI(cpi);
 		break;
 	default:
-		printk("VOYAGER ERROR: CPI%d is in common CPI code\n", cpi);
+		printk(KERN_ERR "VOYAGER ERROR: CPI%d is in common CPI code\n", cpi);
 		break;
 	}
 }
@@ -389,7 +389,7 @@
 
 	boot_cpu_id = hard_smp_processor_id();
 
-	printk("VOYAGER SMP: Boot cpu is %d\n", boot_cpu_id);
+	printk(KERN_INFO "VOYAGER SMP: Boot cpu is %d\n", boot_cpu_id);
 
 	/* initialize the CPU structures (moved from smp_boot_cpus) */
 	for(i=0; i<NR_CPUS; i++) {
@@ -408,7 +408,7 @@
 	phys_cpu_present_map |= voyager_extended_cmos_read(VOYAGER_PROCESSOR_PRESENT_MASK + 1) << 8;
 	phys_cpu_present_map |= voyager_extended_cmos_read(VOYAGER_PROCESSOR_PRESENT_MASK + 2) << 16;
 	phys_cpu_present_map |= voyager_extended_cmos_read(VOYAGER_PROCESSOR_PRESENT_MASK + 3) << 24;
-	printk("VOYAGER SMP: phys_cpu_present_map = 0x%lx\n", phys_cpu_present_map);
+	printk(KERN_INFO "VOYAGER SMP: phys_cpu_present_map = 0x%lx\n", phys_cpu_present_map);
 	/* Here we set up the VIC to enable SMP */
 	/* enable the CPIs by writing the base vector to their register */
 	outb(VIC_DEFAULT_CPI_BASE, VIC_CPI_BASE_REGISTER);
@@ -484,7 +484,7 @@
 		__u8 dummy;
 
 		dummy = voyager_quad_cpi_addr[cpuid]->qic_cpi[VIC_CPU_BOOT_CPI].cpi;
-		printk("read dummy %d\n", dummy);
+		printk(KERN_INFO "read dummy %d\n", dummy);
 	}
 
 	/* lower the mask to receive CPIs */
@@ -628,11 +628,11 @@
 #endif
 
 	if(quad_boot) {
-		printk("CPU %d: non extended Quad boot\n", cpu);
+		printk(KERN_INFO "CPU %d: non extended Quad boot\n", cpu);
 		hijack_vector = (__u32 *)phys_to_virt((VIC_CPU_BOOT_CPI + QIC_DEFAULT_CPI_BASE)*4);
 		*hijack_vector = hijack_source.val;
 	} else {
-		printk("CPU%d: extended VIC boot\n", cpu);
+		printk(KERN_INFO "CPU%d: extended VIC boot\n", cpu);
 		hijack_vector = (__u32 *)phys_to_virt((VIC_CPU_BOOT_CPI + VIC_DEFAULT_CPI_BASE)*4);
 		*hijack_vector = hijack_source.val;
 		/* VIC errata, may also receive interrupt at this address */
@@ -678,17 +678,17 @@
 		VDEBUG(("CPU%d: Booted successfully, back in CPU %d\n",
 			cpu, smp_processor_id()));
 	
-		printk("CPU%d: ", cpu);
+		printk(KERN_INFO "CPU%d: ", cpu);
 		print_cpu_info(&cpu_data[cpu]);
 		wmb();
 		set_bit(cpu, &cpu_callout_map);
 	}
 	else {
-		printk("CPU%d FAILED TO BOOT: ", cpu);
+		printk(KERN_ERR "CPU%d FAILED TO BOOT: ", cpu);
 		if (*((volatile unsigned char *)phys_to_virt(start_phys_address))==0xA5)
-			printk("Stuck.\n");
+			printk(KERN_ERR "Stuck.\n");
 		else
-			printk("Not responding.\n");
+			printk(KERN_ERR "Not responding.\n");
 		
 		cpucount--;
 	}
@@ -710,7 +710,7 @@
 		if( ((voyager_quad_processors | voyager_extended_vic_processors)
 		     & phys_cpu_present_map) != phys_cpu_present_map) {
 			/* should panic */
-			printk("\n\n***WARNING*** Sanity check of CPU present map FAILED\n");
+			printk(KERN_WARNING "\n\n***WARNING*** Sanity check of CPU present map FAILED\n");
 		}
 	} else if(voyager_level == 4) {
 		voyager_extended_vic_processors = phys_cpu_present_map;
@@ -727,12 +727,12 @@
 	smp_tune_scheduling();
 	 */
 	smp_store_cpu_info(boot_cpu_id);
-	printk("CPU%d: ", boot_cpu_id);
+	printk(KERN_INFO "CPU%d: ", boot_cpu_id);
 	print_cpu_info(&cpu_data[boot_cpu_id]);
 
 	if(is_cpu_quad()) {
 		/* booting on a Quad CPU */
-		printk("VOYAGER SMP: Boot CPU is Quad\n");
+		printk(KERN_INFO "VOYAGER SMP: Boot CPU is Quad\n");
 		qic_setup();
 		do_quad_bootstrap();
 	}
@@ -766,7 +766,7 @@
 			(bogosum/(5000/HZ))%100);
 	}
 	voyager_extended_cpus = hweight32(voyager_extended_vic_processors);
-	printk("VOYAGER: Extended (interrupt handling CPUs): %d, non-extended: %d\n", voyager_extended_cpus, num_booting_cpus() - voyager_extended_cpus);
+	printk(KERN_INFO "VOYAGER: Extended (interrupt handling CPUs): %d, non-extended: %d\n", voyager_extended_cpus, num_booting_cpus() - voyager_extended_cpus);
 	/* that's it, switch to symmetric mode */
 	outb(0, VIC_PRIORITY_REGISTER);
 	outb(0, VIC_CLAIM_REGISTER_0);
@@ -807,7 +807,7 @@
 smp_vic_sys_interrupt(void)
 {
 	ack_CPI(VIC_SYS_INT);
-	printk("Voyager SYSTEM INTERRUPT\n");
+	printk(KERN_NOTICE "Voyager SYSTEM INTERRUPT\n");
 }
 
 /* Handle a voyager CMN_INT; These interrupts occur either because of
@@ -932,7 +932,7 @@
 
 	while (smp_invalidate_needed) {
 		if(--stuck == 0) {
-			printk("***WARNING*** Stuck doing invalidate CPI (CPU%d)\n", smp_processor_id());
+			printk(KERN_WARNING "***WARNING*** Stuck doing invalidate CPI (CPU%d)\n", smp_processor_id());
 			break;
 		}
 	}
@@ -1259,7 +1259,7 @@
 		if(cpumask & (1<<i))
 			return i;
 	}
-	printk("** WARNING ** Illegal cpuid returned by VIC: %d", cpumask);
+	printk(KERN_WARNING "** WARNING ** Illegal cpuid returned by VIC: %d", cpumask);
 	return 0;
 }
 
@@ -1381,7 +1381,7 @@
 #ifdef VOYAGER_DEBUG
 	if((vic_tick[cpu] & 0xFFF) == 0) {
 		/* print this message roughly every 25 secs */
-		printk("VOYAGER SMP: vic_tick[%d] = %lu, weight = %ld\n",
+		printk(KERN_DEBUG "VOYAGER SMP: vic_tick[%d] = %lu, weight = %ld\n",
 		       cpu, vic_tick[cpu], weight);
 	}
 #endif
@@ -1518,7 +1518,7 @@
 	local_irq_save(flags);
 	isr = vic_read_isr();
 	if((isr & (1<<(cpi &7))) == 0) {
-		printk("VOYAGER SMP: CPU%d lost CPI%d\n", cpu, cpi);
+		printk(KERN_DEBUG "VOYAGER SMP: CPU%d lost CPI%d\n", cpu, cpi);
 	}
 #endif
 	/* send specific EOI; the two system interrupts have
@@ -1528,7 +1528,7 @@
 
 #ifdef VOYAGER_DEBUG
 	if((vic_read_isr() & (1<<(cpi &7))) != 0) {
-		printk("VOYAGER SMP: CPU%d still asserting CPI%d\n", cpu, cpi);
+		printk(KERN_DEBUG "VOYAGER SMP: CPU%d still asserting CPI%d\n", cpu, cpi);
 	}
 	local_irq_restore(flags);
 #endif
@@ -1725,7 +1725,7 @@
 			__u8 real_cpu;
 			int mask;
 
-			printk("VOYAGER SMP: CPU%d lost interrupt %d\n",
+			printk(KERN_DEBUG "VOYAGER SMP: CPU%d lost interrupt %d\n",
 			       cpu, irq);
 			for_each_cpu(real_cpu, mask) {
 
@@ -1733,7 +1733,7 @@
 				     VIC_PROCESSOR_ID);
 				isr = vic_read_isr();
 				if(isr & (1<<irq)) {
-					printk("VOYAGER SMP: CPU%d ack irq %d\n",
+					printk(KERN_DEBUG "VOYAGER SMP: CPU%d ack irq %d\n",
 					       real_cpu, irq);
 					ack_vic_irq(irq);
 				}
@@ -1755,7 +1755,7 @@
 #ifdef VOYAGER_DEBUG
 		isr = vic_read_isr();
 		if((isr & (1<<irq)) != 0)
-			printk("VOYAGER SMP: after_handle_vic_irq() after ack irq=%d, isr=0x%x\n",
+			printk(KERN_DEBUG "VOYAGER SMP: after_handle_vic_irq() after ack irq=%d, isr=0x%x\n",
 			       irq, isr);
 #endif /* VOYAGER_DEBUG */
 	}
@@ -1895,7 +1895,7 @@
 		isr |= inb(0x20);
 		outb(old_cpu, VIC_PROCESSOR_ID);
 		local_irq_restore(flags);
-		printk("\tCPU%d: mask=0x%x, IMR=0x%x, IRR=0x%x, ISR=0x%x\n",
+		printk(KERN_EMERG "\tCPU%d: mask=0x%x, IMR=0x%x, IRR=0x%x, ISR=0x%x\n",
 		       cpu, vic_irq_mask[cpu], imr, irr, isr);
 #if 0
 		/* These lines are put in to try to unstick an un ack'd irq */
@@ -1903,7 +1903,7 @@
 			int irq;
 			for(irq=0; irq<16; irq++) {
 				if(isr & (1<<irq)) {
-					printk("\tCPU%d: ack irq %d\n",
+					printk(KERN_EMERG "\tCPU%d: ack irq %d\n",
 					       cpu, irq);
 					local_irq_save(flags);
 					outb(VIC_CPU_MASQUERADE_ENABLE | cpu,
diff -urN linux-2.6.0-test1/arch/i386/math-emu/errors.c linux-2.6.0-test1-printk-i386/arch/i386/math-emu/errors.c
--- linux-2.6.0-test1/arch/i386/math-emu/errors.c	2003-07-13 23:34:39.000000000 -0400
+++ linux-2.6.0-test1-printk-i386/arch/i386/math-emu/errors.c	2003-07-23 11:49:39.000000000 -0400
@@ -41,27 +41,27 @@
 
   RE_ENTRANT_CHECK_OFF;
   /* No need to verify_area(), we have previously fetched these bytes. */
-  printk("Unimplemented FPU Opcode at eip=%p : ", (void *) address);
+  printk(KERN_ERR "Unimplemented FPU Opcode at eip=%p : ", (void *) address);
   if ( FPU_CS == __USER_CS )
     {
       while ( 1 )
 	{
 	  FPU_get_user(byte1, (u_char *) address);
 	  if ( (byte1 & 0xf8) == 0xd8 ) break;
-	  printk("[%02x]", byte1);
+	  printk(KERN_ERR "[%02x]", byte1);
 	  address++;
 	}
-      printk("%02x ", byte1);
+      printk(KERN_ERR "%02x ", byte1);
       FPU_get_user(FPU_modrm, 1 + (u_char *) address);
       
       if (FPU_modrm >= 0300)
-	printk("%02x (%02x+%d)\n", FPU_modrm, FPU_modrm & 0xf8, FPU_modrm & 7);
+	printk(KERN_ERR "%02x (%02x+%d)\n", FPU_modrm, FPU_modrm & 0xf8, FPU_modrm & 7);
       else
-	printk("/%d\n", (FPU_modrm >> 3) & 7);
+	printk(KERN_ERR "/%d\n", (FPU_modrm >> 3) & 7);
     }
   else
     {
-      printk("cs selector = %04x\n", FPU_CS);
+      printk(KERN_ERR "cs selector = %04x\n", FPU_CS);
     }
 
   RE_ENTRANT_CHECK_ON;
@@ -92,7 +92,7 @@
 
   RE_ENTRANT_CHECK_OFF;
   /* No need to verify_area(), we have previously fetched these bytes. */
-  printk("At %p:", (void *) address);
+  printk(KERN_ERR "At %p:", (void *) address);
   if ( FPU_CS == __USER_CS )
     {
 #define MAX_PRINTED_BYTES 20
@@ -101,49 +101,49 @@
 	  FPU_get_user(byte1, (u_char *) address);
 	  if ( (byte1 & 0xf8) == 0xd8 )
 	    {
-	      printk(" %02x", byte1);
+	      printk(KERN_ERR " %02x", byte1);
 	      break;
 	    }
-	  printk(" [%02x]", byte1);
+	  printk(KERN_ERR " [%02x]", byte1);
 	  address++;
 	}
       if ( i == MAX_PRINTED_BYTES )
-	printk(" [more..]\n");
+	printk(KERN_ERR " [more..]\n");
       else
 	{
 	  FPU_get_user(FPU_modrm, 1 + (u_char *) address);
 	  
 	  if (FPU_modrm >= 0300)
-	    printk(" %02x (%02x+%d)\n", FPU_modrm, FPU_modrm & 0xf8, FPU_modrm & 7);
+	    printk(KERN_ERR " %02x (%02x+%d)\n", FPU_modrm, FPU_modrm & 0xf8, FPU_modrm & 7);
 	  else
-	    printk(" /%d, mod=%d rm=%d\n",
+	    printk(KERN_ERR " /%d, mod=%d rm=%d\n",
 		   (FPU_modrm >> 3) & 7, (FPU_modrm >> 6) & 3, FPU_modrm & 7);
 	}
     }
   else
     {
-      printk("%04x\n", FPU_CS);
+      printk(KERN_ERR "%04x\n", FPU_CS);
     }
 
   partial_status = status_word();
 
 #ifdef DEBUGGING
-if ( partial_status & SW_Backward )    printk("SW: backward compatibility\n");
-if ( partial_status & SW_C3 )          printk("SW: condition bit 3\n");
-if ( partial_status & SW_C2 )          printk("SW: condition bit 2\n");
-if ( partial_status & SW_C1 )          printk("SW: condition bit 1\n");
-if ( partial_status & SW_C0 )          printk("SW: condition bit 0\n");
-if ( partial_status & SW_Summary )     printk("SW: exception summary\n");
-if ( partial_status & SW_Stack_Fault ) printk("SW: stack fault\n");
-if ( partial_status & SW_Precision )   printk("SW: loss of precision\n");
-if ( partial_status & SW_Underflow )   printk("SW: underflow\n");
-if ( partial_status & SW_Overflow )    printk("SW: overflow\n");
-if ( partial_status & SW_Zero_Div )    printk("SW: divide by zero\n");
-if ( partial_status & SW_Denorm_Op )   printk("SW: denormalized operand\n");
-if ( partial_status & SW_Invalid )     printk("SW: invalid operation\n");
+if ( partial_status & SW_Backward )    printk(KERN_DEBUG "SW: backward compatibility\n");
+if ( partial_status & SW_C3 )          printk(KERN_DEBUG "SW: condition bit 3\n");
+if ( partial_status & SW_C2 )          printk(KERN_DEBUG "SW: condition bit 2\n");
+if ( partial_status & SW_C1 )          printk(KERN_DEBUG "SW: condition bit 1\n");
+if ( partial_status & SW_C0 )          printk(KERN_DEBUG "SW: condition bit 0\n");
+if ( partial_status & SW_Summary )     printk(KERN_DEBUG "SW: exception summary\n");
+if ( partial_status & SW_Stack_Fault ) printk(KERN_DEBUG "SW: stack fault\n");
+if ( partial_status & SW_Precision )   printk(KERN_DEBUG "SW: loss of precision\n");
+if ( partial_status & SW_Underflow )   printk(KERN_DEBUG "SW: underflow\n");
+if ( partial_status & SW_Overflow )    printk(KERN_DEBUG "SW: overflow\n");
+if ( partial_status & SW_Zero_Div )    printk(KERN_DEBUG "SW: divide by zero\n");
+if ( partial_status & SW_Denorm_Op )   printk(KERN_DEBUG "SW: denormalized operand\n");
+if ( partial_status & SW_Invalid )     printk(KERN_DEBUG "SW: invalid operation\n");
 #endif /* DEBUGGING */
 
-  printk(" SW: b=%d st=%ld es=%d sf=%d cc=%d%d%d%d ef=%d%d%d%d%d%d\n",
+  printk(KERN_ERR " SW: b=%d st=%ld es=%d sf=%d cc=%d%d%d%d ef=%d%d%d%d%d%d\n",
 	 partial_status & 0x8000 ? 1 : 0,   /* busy */
 	 (partial_status & 0x3800) >> 11,   /* stack top pointer */
 	 partial_status & 0x80 ? 1 : 0,     /* Error summary status */
@@ -154,7 +154,7 @@
 	 partial_status & SW_Overflow?1:0, partial_status & SW_Zero_Div?1:0,
 	 partial_status & SW_Denorm_Op?1:0, partial_status & SW_Invalid?1:0);
   
-printk(" CW: ic=%d rc=%ld%ld pc=%ld%ld iem=%d     ef=%d%d%d%d%d%d\n",
+printk(KERN_ERR " CW: ic=%d rc=%ld%ld pc=%ld%ld iem=%d     ef=%d%d%d%d%d%d\n",
 	 control_word & 0x1000 ? 1 : 0,
 	 (control_word & 0x800) >> 11, (control_word & 0x400) >> 10,
 	 (control_word & 0x200) >> 9, (control_word & 0x100) >> 8,
@@ -176,7 +176,7 @@
 	case TAG_Special:
 	  tagi = FPU_Special(r);
 	case TAG_Valid:
-	  printk("st(%d)  %c .%04lx %04lx %04lx %04lx e%+-6d ", i,
+	  printk(KERN_ERR "st(%d)  %c .%04lx %04lx %04lx %04lx e%+-6d ", i,
 		 getsign(r) ? '-' : '+',
 		 (long)(r->sigh >> 16),
 		 (long)(r->sigh & 0xFFFF),
@@ -185,11 +185,11 @@
 		 exponent(r) - EXP_BIAS + 1);
 	  break;
 	default:
-	  printk("Whoops! Error in errors.c: tag%d is %d ", i, tagi);
+	  printk(KERN_ERR "Whoops! Error in errors.c: tag%d is %d ", i, tagi);
 	  continue;
 	  break;
 	}
-      printk("%s\n", tag_desc[(int) (unsigned) tagi]);
+      printk(KERN_ERR "%s\n", tag_desc[(int) (unsigned) tagi]);
     }
 
   RE_ENTRANT_CHECK_ON;
@@ -326,7 +326,7 @@
     {
 #ifdef PRINT_MESSAGES
       /* My message from the sponsor */
-      printk(FPU_VERSION" "__DATE__" (C) W. Metzenthen.\n");
+      printk(KERN_ERR FPU_VERSION" "__DATE__" (C) W. Metzenthen.\n");
 #endif /* PRINT_MESSAGES */
       
       /* Get a name string for error reporting */
@@ -337,15 +337,15 @@
       if (exception_names[i].type)
 	{
 #ifdef PRINT_MESSAGES
-	  printk("FP Exception: %s!\n", exception_names[i].name);
+	  printk(KERN_ERR "FP Exception: %s!\n", exception_names[i].name);
 #endif /* PRINT_MESSAGES */
 	}
       else
-	printk("FPU emulator: Unknown Exception: 0x%04x!\n", n);
+	printk(KERN_ERR "FPU emulator: Unknown Exception: 0x%04x!\n", n);
       
       if ( n == EX_INTERNAL )
 	{
-	  printk("FPU emulator: Internal error type 0x%04x\n", int_type);
+	  printk(KERN_ERR "FPU emulator: Internal error type 0x%04x\n", int_type);
 	  FPU_printall();
 	}
 #ifdef PRINT_MESSAGES
diff -urN linux-2.6.0-test1/arch/i386/math-emu/fpu_entry.c linux-2.6.0-test1-printk-i386/arch/i386/math-emu/fpu_entry.c
--- linux-2.6.0-test1/arch/i386/math-emu/fpu_entry.c	2003-07-13 23:37:28.000000000 -0400
+++ linux-2.6.0-test1-printk-i386/arch/i386/math-emu/fpu_entry.c	2003-07-23 11:50:36.000000000 -0400
@@ -150,7 +150,7 @@
 #ifdef RE_ENTRANT_CHECKING
   if ( emulating )
     {
-      printk("ERROR: wm-FPU-emu is not RE-ENTRANT!\n");
+      printk(KERN_ERR "ERROR: wm-FPU-emu is not RE-ENTRANT!\n");
     }
   RE_ENTRANT_CHECK_ON;
 #endif /* RE_ENTRANT_CHECKING */
@@ -178,7 +178,7 @@
     }
   else if ( FPU_CS == __KERNEL_CS )
     {
-      printk("math_emulate: %04x:%08lx\n",FPU_CS,FPU_EIP);
+      printk(KERN_EMERG "math_emulate: %04x:%08lx\n",FPU_CS,FPU_EIP);
       panic("Math emulation needed in kernel");
     }
   else
@@ -188,7 +188,7 @@
 	{
 	  /* Can only handle segmented addressing via the LDT
 	     for now, and it must be 16 bit */
-	  printk("FPU emulator: Unsupported addressing mode\n");
+	  printk(KERN_ERR "FPU emulator: Unsupported addressing mode\n");
 	  math_abort(FPU_info, SIGILL);
 	}
 
@@ -218,7 +218,7 @@
 		     &addr_modes.override) )
     {
       RE_ENTRANT_CHECK_OFF;
-      printk("FPU emulator: Unknown prefix byte 0x%02x, probably due to\n"
+      printk(KERN_ERR "FPU emulator: Unknown prefix byte 0x%02x, probably due to\n"
 	     "FPU emulator: self-modifying code! (emulation impossible)\n",
 	     byte1);
       RE_ENTRANT_CHECK_ON;
@@ -669,7 +669,7 @@
 	RE_ENTRANT_CHECK_OFF;
 	__asm__("movl %0,%%esp ; ret": :"g" (((long) info)-4));
 #ifdef PARANOID
-      printk("ERROR: wm-FPU-emu math_abort failed!\n");
+      printk(KERN_ERR "ERROR: wm-FPU-emu math_abort failed!\n");
 #endif /* PARANOID */
 }
 
diff -urN linux-2.6.0-test1/arch/i386/mm/discontig.c linux-2.6.0-test1-printk-i386/arch/i386/mm/discontig.c
--- linux-2.6.0-test1/arch/i386/mm/discontig.c	2003-07-13 23:34:41.000000000 -0400
+++ linux-2.6.0-test1-printk-i386/arch/i386/mm/discontig.c	2003-07-23 11:53:57.000000000 -0400
@@ -88,7 +88,7 @@
 {
 	int pfn;
 
-	printk("NUMA - single node, flat memory mode\n");
+	printk(KERN_INFO "NUMA - single node, flat memory mode\n");
 
 	/* Run the memory configuration and find the top of memory. */
 	find_max_pfn();
@@ -210,17 +210,17 @@
 		size = (size + LARGE_PAGE_BYTES - 1) / LARGE_PAGE_BYTES;
 		/* now the roundup is correct, convert to PAGE_SIZE pages */
 		size = size * PTRS_PER_PTE;
-		printk("Reserving %ld pages of KVA for lmem_map of node %d\n",
+		printk(KERN_NOTICE "Reserving %ld pages of KVA for lmem_map of node %d\n",
 				size, nid);
 		node_remap_size[nid] = size;
 		reserve_pages += size;
 		node_remap_offset[nid] = reserve_pages;
-		printk("Shrinking node %d from %ld pages to %ld pages\n",
+		printk(KERN_NOTICE "Shrinking node %d from %ld pages to %ld pages\n",
 			nid, node_end_pfn[nid], node_end_pfn[nid] - size);
 		node_end_pfn[nid] -= size;
 		node_remap_start_pfn[nid] = node_end_pfn[nid];
 	}
-	printk("Reserving total of %ld pages for numa KVA remap\n",
+	printk(KERN_NOTICE "Reserving total of %ld pages for numa KVA remap\n",
 			reserve_pages);
 	return reserve_pages;
 }
@@ -243,27 +243,27 @@
 	highstart_pfn = highend_pfn = max_pfn;
 	if (max_pfn > system_max_low_pfn)
 		highstart_pfn = system_max_low_pfn;
-	printk(KERN_NOTICE "%ldMB HIGHMEM available.\n",
+	printk(KERN_INFO "%ldMB HIGHMEM available.\n",
 	       pages_to_mb(highend_pfn - highstart_pfn));
 #endif
 	system_max_low_pfn = max_low_pfn = max_low_pfn - reserve_pages;
-	printk(KERN_NOTICE "%ldMB LOWMEM available.\n",
+	printk(KERN_INFO "%ldMB LOWMEM available.\n",
 			pages_to_mb(system_max_low_pfn));
-	printk("min_low_pfn = %ld, max_low_pfn = %ld, highstart_pfn = %ld\n", 
+	printk(KERN_INFO "min_low_pfn = %ld, max_low_pfn = %ld, highstart_pfn = %ld\n", 
 			min_low_pfn, max_low_pfn, highstart_pfn);
 
-	printk("Low memory ends at vaddr %08lx\n",
+	printk(KERN_INFO "Low memory ends at vaddr %08lx\n",
 			(ulong) pfn_to_kaddr(max_low_pfn));
 	for (nid = 0; nid < numnodes; nid++) {
 		node_remap_start_vaddr[nid] = pfn_to_kaddr(
 			highstart_pfn - node_remap_offset[nid]);
 		allocate_pgdat(nid);
-		printk ("node %d will remap to vaddr %08lx - %08lx\n", nid,
+		printk (KERN_INFO "node %d will remap to vaddr %08lx - %08lx\n", nid,
 			(ulong) node_remap_start_vaddr[nid],
 			(ulong) pfn_to_kaddr(highstart_pfn
 			    - node_remap_offset[nid] + node_remap_size[nid]));
 	}
-	printk("High memory starts at vaddr %08lx\n",
+	printk(KERN_INFO "High memory starts at vaddr %08lx\n",
 			(ulong) pfn_to_kaddr(highstart_pfn));
 	for (nid = 0; nid < numnodes; nid++)
 		find_max_pfn_node(nid);
@@ -408,7 +408,7 @@
 		zone_mem_map = NODE_DATA(nid)->node_zones[ZONE_HIGHMEM].zone_mem_map;
 		zone_start_pfn = NODE_DATA(nid)->node_zones[ZONE_HIGHMEM].zone_start_pfn;
 
-		printk("Initializing highpages for node %d\n", nid);
+		printk(KERN_INFO "Initializing highpages for node %d\n", nid);
 		for (node_pfn = 0; node_pfn < node_high_size; node_pfn++) {
 			one_highpage_init((struct page *)(zone_mem_map + node_pfn),
 					  zone_start_pfn + node_pfn, bad_ppro);
diff -urN linux-2.6.0-test1/arch/i386/mm/fault.c linux-2.6.0-test1-printk-i386/arch/i386/mm/fault.c
--- linux-2.6.0-test1/arch/i386/mm/fault.c	2003-07-13 23:28:54.000000000 -0400
+++ linux-2.6.0-test1-printk-i386/arch/i386/mm/fault.c	2003-07-23 11:51:59.000000000 -0400
@@ -51,7 +51,7 @@
 	 * a poke.  Hold onto your hats...
 	 */
 	console_loglevel = 15;		/* NMI oopser may have shut the console up */
-	printk(" ");
+	printk(KERN_WARNING " ");
 	console_loglevel = loglevel_save;
 }
 
@@ -144,7 +144,7 @@
 		default:	/* 3: write, present */
 #ifdef TEST_VERIFY_AREA
 			if (regs->cs == KERNEL_CS)
-				printk("WP fault at %08lx\n", regs->eip);
+				printk(KERN_WARNING "WP fault at %08lx\n", regs->eip);
 #endif
 			/* fall through */
 		case 2:		/* write, not present */
@@ -243,9 +243,9 @@
 		printk(KERN_ALERT "Unable to handle kernel NULL pointer dereference");
 	else
 		printk(KERN_ALERT "Unable to handle kernel paging request");
-	printk(" at virtual address %08lx\n",address);
-	printk(" printing eip:\n");
-	printk("%08lx\n", regs->eip);
+	printk(KERN_ALERT " at virtual address %08lx\n",address);
+	printk(KERN_ALERT " printing eip:\n");
+	printk(KERN_ALERT "%08lx\n", regs->eip);
 	asm("movl %%cr3,%0":"=r" (page));
 	page = ((unsigned long *) __va(page))[address >> 22];
 	printk(KERN_ALERT "*pde = %08lx\n", page);
@@ -278,7 +278,7 @@
 		down_read(&mm->mmap_sem);
 		goto survive;
 	}
-	printk("VM: killing process %s\n", tsk->comm);
+	printk(KERN_WARNING "VM: killing process %s\n", tsk->comm);
 	if (error_code & 4)
 		do_exit(SIGKILL);
 	goto no_context;
diff -urN linux-2.6.0-test1/arch/i386/mm/hugetlbpage.c linux-2.6.0-test1-printk-i386/arch/i386/mm/hugetlbpage.c
--- linux-2.6.0-test1/arch/i386/mm/hugetlbpage.c	2003-07-13 23:38:02.000000000 -0400
+++ linux-2.6.0-test1-printk-i386/arch/i386/mm/hugetlbpage.c	2003-07-23 11:54:57.000000000 -0400
@@ -494,7 +494,7 @@
 		spin_unlock(&htlbpage_lock);
 	}
 	htlbpage_max = htlbpagemem = htlbzone_pages = i;
-	printk("Total HugeTLB memory allocated, %ld\n", htlbpagemem);
+	printk(KERN_INFO "Total HugeTLB memory allocated, %ld\n", htlbpagemem);
 	return 0;
 }
 module_init(hugetlb_init);
diff -urN linux-2.6.0-test1/arch/i386/mm/init.c linux-2.6.0-test1-printk-i386/arch/i386/mm/init.c
--- linux-2.6.0-test1/arch/i386/mm/init.c	2003-07-13 23:36:43.000000000 -0400
+++ linux-2.6.0-test1-printk-i386/arch/i386/mm/init.c	2003-07-23 11:54:41.000000000 -0400
@@ -393,7 +393,7 @@
 		return;
 	}
 
-	printk("Checking if this processor honours the WP bit even in supervisor mode... ");
+	printk(KERN_INFO "Checking if this processor honours the WP bit even in supervisor mode... ");
 
 	/* Any page-aligned address will do, the test is non-destructive */
 	__set_fixmap(FIX_WP_TEST, __pa(&swapper_pg_dir), PAGE_READONLY);
@@ -401,12 +401,12 @@
 	clear_fixmap(FIX_WP_TEST);
 
 	if (!boot_cpu_data.wp_works_ok) {
-		printk("No.\n");
+		printk(KERN_INFO "No.\n");
 #ifdef CONFIG_X86_WP_WORKS_OK
 		panic("This kernel doesn't support CPU's with broken WP. Recompile it for a 386!");
 #endif
 	} else {
-		printk("Ok.\n");
+		printk(KERN_INFO "Ok.\n");
 	}
 }
 
diff -urN linux-2.6.0-test1/arch/i386/mm/ioremap.c linux-2.6.0-test1-printk-i386/arch/i386/mm/ioremap.c
--- linux-2.6.0-test1/arch/i386/mm/ioremap.c	2003-07-13 23:32:28.000000000 -0400
+++ linux-2.6.0-test1-printk-i386/arch/i386/mm/ioremap.c	2003-07-23 11:52:17.000000000 -0400
@@ -33,7 +33,7 @@
 	pfn = phys_addr >> PAGE_SHIFT;
 	do {
 		if (!pte_none(*pte)) {
-			printk("remap_area_pte: page already exists\n");
+			printk(KERN_ERR "remap_area_pte: page already exists\n");
 			BUG();
 		}
 		set_pte(pte, pfn_pte(pfn, __pgprot(_PAGE_PRESENT | _PAGE_RW | 
@@ -218,7 +218,7 @@
 		return; 
 	p = remove_vm_area((void *) (PAGE_MASK & (unsigned long) addr));
 	if (!p) { 
-		printk("__iounmap: bad address %p\n", addr);
+		printk(KERN_ERR "__iounmap: bad address %p\n", addr);
 		return;
 	} 
 
diff -urN linux-2.6.0-test1/arch/i386/mm/pgtable.c linux-2.6.0-test1-printk-i386/arch/i386/mm/pgtable.c
--- linux-2.6.0-test1/arch/i386/mm/pgtable.c	2003-07-13 23:39:36.000000000 -0400
+++ linux-2.6.0-test1-printk-i386/arch/i386/mm/pgtable.c	2003-07-23 11:55:55.000000000 -0400
@@ -30,9 +30,9 @@
 	pg_data_t *pgdat;
 	unsigned long i;
 
-	printk("Mem-info:\n");
+	printk(KERN_INFO "Mem-info:\n");
 	show_free_areas();
-	printk("Free swap:       %6dkB\n",nr_swap_pages<<(PAGE_SHIFT-10));
+	printk(KERN_INFO "Free swap:       %6dkB\n",nr_swap_pages<<(PAGE_SHIFT-10));
 	for_each_pgdat(pgdat) {
 		for (i = 0; i < pgdat->node_spanned_pages; ++i) {
 			page = pgdat->node_mem_map + i;
@@ -47,11 +47,11 @@
 				shared += page_count(page) - 1;
 		}
 	}
-	printk("%d pages of RAM\n", total);
-	printk("%d pages of HIGHMEM\n",highmem);
-	printk("%d reserved pages\n",reserved);
-	printk("%d pages shared\n",shared);
-	printk("%d pages swap cached\n",cached);
+	printk(KERN_INFO "%d pages of RAM\n", total);
+	printk(KERN_INFO "%d pages of HIGHMEM\n",highmem);
+	printk(KERN_INFO "%d reserved pages\n",reserved);
+	printk(KERN_INFO "%d pages shared\n",shared);
+	printk(KERN_INFO "%d pages swap cached\n",cached);
 }
 
 /*
@@ -97,16 +97,16 @@
 	pmd_t *pmd;
 
 	if (vaddr & (PMD_SIZE-1)) {		/* vaddr is misaligned */
-		printk ("set_pmd_pfn: vaddr misaligned\n");
+		printk (KERN_ERR "set_pmd_pfn: vaddr misaligned\n");
 		return; /* BUG(); */
 	}
 	if (pfn & (PTRS_PER_PTE-1)) {		/* pfn is misaligned */
-		printk ("set_pmd_pfn: pfn misaligned\n");
+		printk (KERN_ERR "set_pmd_pfn: pfn misaligned\n");
 		return; /* BUG(); */
 	}
 	pgd = swapper_pg_dir + pgd_index(vaddr);
 	if (pgd_none(*pgd)) {
-		printk ("set_pmd_pfn: pgd_none\n");
+		printk (KERN_ERR "set_pmd_pfn: pgd_none\n");
 		return; /* BUG(); */
 	}
 	pmd = pmd_offset(pgd, vaddr);
diff -urN linux-2.6.0-test1/arch/i386/pci/common.c linux-2.6.0-test1-printk-i386/arch/i386/pci/common.c
--- linux-2.6.0-test1/arch/i386/pci/common.c	2003-07-13 23:33:13.000000000 -0400
+++ linux-2.6.0-test1-printk-i386/arch/i386/pci/common.c	2003-07-23 11:59:39.000000000 -0400
@@ -128,7 +128,7 @@
 		}
 	}
 
-	printk("PCI: Probing PCI hardware (bus %02x)\n", busnum);
+	printk(KERN_NOTICE "PCI: Probing PCI hardware (bus %02x)\n", busnum);
 
 	return pci_scan_bus(busnum, &pci_root_ops, NULL);
 }
@@ -140,7 +140,7 @@
 	struct cpuinfo_x86 *c = &boot_cpu_data;
 
 	if (!raw_pci_ops) {
-		printk("PCI: System does not support PCI\n");
+		printk(KERN_INFO "PCI: System does not support PCI\n");
 		return 0;
 	}
 
diff -urN linux-2.6.0-test1/arch/i386/pci/i386.c linux-2.6.0-test1-printk-i386/arch/i386/pci/i386.c
--- linux-2.6.0-test1/arch/i386/pci/i386.c	2003-07-13 23:31:58.000000000 -0400
+++ linux-2.6.0-test1-printk-i386/arch/i386/pci/i386.c	2003-07-23 11:59:16.000000000 -0400
@@ -241,7 +241,7 @@
 	if (dev->resource[PCI_ROM_RESOURCE].start)
 		cmd |= PCI_COMMAND_MEMORY;
 	if (cmd != old_cmd) {
-		printk("PCI: Enabling device %s (%04x -> %04x)\n", dev->slot_name, old_cmd, cmd);
+		printk(KERN_NOTICE "PCI: Enabling device %s (%04x -> %04x)\n", dev->slot_name, old_cmd, cmd);
 		pci_write_config_word(dev, PCI_COMMAND, cmd);
 	}
 	return 0;
diff -urN linux-2.6.0-test1/arch/i386/pci/legacy.c linux-2.6.0-test1-printk-i386/arch/i386/pci/legacy.c
--- linux-2.6.0-test1/arch/i386/pci/legacy.c	2003-07-13 23:37:22.000000000 -0400
+++ linux-2.6.0-test1-printk-i386/arch/i386/pci/legacy.c	2003-07-23 12:00:02.000000000 -0400
@@ -36,14 +36,14 @@
 static int __init pci_legacy_init(void)
 {
 	if (!raw_pci_ops) {
-		printk("PCI: System does not support PCI\n");
+		printk(KERN_INFO "PCI: System does not support PCI\n");
 		return 0;
 	}
 
 	if (pcibios_scanned++)
 		return 0;
 
-	printk("PCI: Probing PCI hardware\n");
+	printk(KERN_INFO "PCI: Probing PCI hardware\n");
 	pci_root_bus = pcibios_scan_root(0);
 
 	pcibios_fixup_peer_bridges();
diff -urN linux-2.6.0-test1/arch/i386/pci/numa.c linux-2.6.0-test1-printk-i386/arch/i386/pci/numa.c
--- linux-2.6.0-test1/arch/i386/pci/numa.c	2003-07-13 23:31:50.000000000 -0400
+++ linux-2.6.0-test1-printk-i386/arch/i386/pci/numa.c	2003-07-23 11:58:47.000000000 -0400
@@ -86,7 +86,7 @@
 	u8 busno, suba, subb;
 	int quad = BUS2QUAD(d->bus->number);
 
-	printk("PCI: Searching for i450NX host bridges on %s\n", d->slot_name);
+	printk(KERN_NOTICE "PCI: Searching for i450NX host bridges on %s\n", d->slot_name);
 	reg = 0xd0;
 	for(pxb=0; pxb<2; pxb++) {
 		pci_read_config_byte(d, reg++, &busno);
@@ -117,7 +117,7 @@
 	pci_root_bus = pcibios_scan_root(0);
 	if (numnodes > 1) {
 		for (quad = 1; quad < numnodes; ++quad) {
-			printk("Scanning PCI bus %d for quad %d\n", 
+			printk(KERN_NOTICE "Scanning PCI bus %d for quad %d\n", 
 				QUADLOCAL2BUS(quad,0), quad);
 			pci_scan_bus(QUADLOCAL2BUS(quad,0), 
 				&pci_root_ops, NULL);
diff -urN linux-2.6.0-test1/arch/i386/pci/pcbios.c linux-2.6.0-test1-printk-i386/arch/i386/pci/pcbios.c
--- linux-2.6.0-test1/arch/i386/pci/pcbios.c	2003-07-13 23:30:01.000000000 -0400
+++ linux-2.6.0-test1-printk-i386/arch/i386/pci/pcbios.c	2003-07-23 11:58:19.000000000 -0400
@@ -322,13 +322,13 @@
 		if (sum != 0)
 			continue;
 		if (check->fields.revision != 0) {
-			printk("PCI: unsupported BIOS32 revision %d at 0x%p\n",
+			printk(KERN_WARNING "PCI: unsupported BIOS32 revision %d at 0x%p\n",
 				check->fields.revision, check);
 			continue;
 		}
 		DBG("PCI: BIOS32 Service Directory structure at 0x%p\n", check);
 		if (check->fields.entry >= 0x100000) {
-			printk("PCI: BIOS32 entry (0x%p) in high memory, cannot use.\n", check);
+			printk(KERN_WARNING "PCI: BIOS32 entry (0x%p) in high memory, cannot use.\n", check);
 			return NULL;
 		} else {
 			unsigned long bios32_entry = check->fields.entry;
